<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class DeliveryslotController extends Controller
{
    public function country(){
         $domain_address_code = session('domain_address_setup');
         if(empty($domain_address_code)){
            $domain_address_code='JO';
         }
         $sqlcountry=DB::select("SELECT value,GROUP_CONCAT(scope_id SEPARATOR ',') AS `store_id`  FROM `core_config_data` WHERE path='general/country/destinations' AND value='$domain_address_code' group by value order by config_id asc"); 
         $countryy  = array();
         $s1 = 0;
         foreach($sqlcountry as $country){
            $explode1=explode(',',$country->store_id);
            $countrycode=$country->value;
            $store_id1=isset($explode1[0]) ? $explode1[0] :'';
            $stores1=DB::select("SELECT code FROM store WHERE store_id='$store_id1'");
            $codeurl=isset($stores1[0]->code) ? $stores1[0]->code : '';
            $msp_tfa_country_codes=DB::select("SELECT name FROM msp_tfa_country_codes WHERE code='$countrycode'");
            $countryname=isset($msp_tfa_country_codes[0]->name) ? $msp_tfa_country_codes[0]->name : '';
            $countryy[$s1]['country_name'] = $countryname;
            $countryy[$s1]['country_code'] = $countrycode;
            $s1++;
        }
        return $countryy;
    }
    public function index()
    {
         $countryy = $this->country();
         $country_code = $countryy[0]['country_code'];
         $deliveryslot = DB::table('delivery_slot')->where('country_code','=',$country_code)->orderBy('id','DESC')->paginate(10);
         $slot_id=isset($editdeliveryslot[0]->store_id) ? $editdeliveryslot[0]->store_id : '';
          $store = DB::table('store_group')->where('group_id','!=','0')->get();
        //  $result['store'] = $store;
         return view('delivery_slot/index', ['deliveryslot' => $deliveryslot,'store'=>$store,'country'=>$countryy]);
    }
    public function create()
    {
        // $store = DB::table('store_group')->where('group_id','!=','0')->get();
        $countryy = $this->country();
        // return view('delivery_slot.create',['store'=>$store, 'country'=>$countryy]);
        return view('delivery_slot.create',['country'=>$countryy]);
    }
    public function store(Request $request)
    {
      //  dd($request->all());
      
        $start_time = implode(',',$request->start_time);
        $end_time = implode(',',$request->end_time);
        $start_time1 = explode(',',$start_time);
        $end_time1 = explode(',',$end_time);
        $no_of_delivery = implode(',',$request->no_of_delivery);
        $no_of_delivery1 = explode(',',$no_of_delivery);
       // $slot_time=array($open_time,$close_time);
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
         try {
           $date_added	= date('Y-m-d H:i:s');
      $delivery_slot=DB::table('delivery_slot')->insertGetId(['interval_end_date'=>$request->interval_end_date,'store_id'=>$request->store_id,'country_code'=>$request->country_code,'interval_date'=>$request->interval_date,'status'=>$request->status,'created'=>$date_added]);
        for($i=0;$i<count($start_time1);$i++){
          DB::table('delivery_slot1')->insert(['slot_id'=>$delivery_slot,'start_time'=>$start_time1[$i],'end_time'=>$end_time1[$i],'no_of_delivery'=>$no_of_delivery1[$i]]);  
        }
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('delivery_slot.index'));
    }
     
    public function show($id)
    {
        // $user = $this->VehicleRepository->findWithoutFail($id);

        // if (empty($user)) {
        //     Flash::error('User not found');

        //     return redirect(route('vehicle.index'));
        // }

        // return view('settings.users.profile')->with('user', $user);
    }
    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('delivery_slot.index'));
        }
	    $result = array();		
		$result['message'] = array();
		$countryy = $this->country();
        $country_code = $countryy[0]['country_code'];
		$editdeliveryslot = DB::table('delivery_slot')->where('country_code','=',$country_code)->where('id','=',$id)->get();
		$slot_id=isset($editdeliveryslot[0]->store_id) ? $editdeliveryslot[0]->store_id : '';	
		$result['editdeliveryslot'] = $editdeliveryslot;		
		$store = DB::table('store_group')->where('group_id','!=','0')->get();
		$result['store'] = $store;
		$delivery_slot1 = DB::table('delivery_slot1')->where('slot_id','=',$id)->get();
		$result['delivery_slot1'] = $delivery_slot1;
		
        if (empty($editdeliveryslot)) {
            Flash::error('Delivery slot not found');

            return redirect(route('delivery_slot.index'));
        }
        return view("delivery_slot.edit",['editdeliveryslot' => $editdeliveryslot,'country'=>$countryy])->with('result',$result);
        
    }
    public function update($id,Request $request)
    {
        
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }
        
        $deliveryslot = DB::table('delivery_slot')->where('id','=',$request->id)->get();
 $store = DB::table('store_group')->where('group_id','!=','0')->get();
        if (empty($deliveryslot)) {
            Flash::error('Delivery slot not found');
            return redirect(route('users.profile'));
        }
        try {
        $start_time = implode(',',$request->start_time);
        $end_time = implode(',',$request->end_time);
        $start_time1 = explode(',',$start_time);
        $end_time1 = explode(',',$end_time);
        $no_of_delivery = implode(',',$request->no_of_delivery);
        $no_of_delivery1 = explode(',',$no_of_delivery);
        $slot_id = implode(',',$request->slot_id);
        $slot_id1 = explode(',',$slot_id);
        $last_modified=date('Y-m-d H:i:s');
		DB::table('delivery_slot')->where('id','=',$id)->update(['store_id'=>$request->store_id,'country_code'=>$request->country_code,'interval_date'=>$request->interval_date,'interval_end_date'=>$request->interval_end_date,'status'=>$request->status,'modified'=>$last_modified]);
		for($i=0;$i<count($slot_id1);$i++){
		  $update_id=$slot_id1[$i];
		  if($update_id==0){
		  DB::table('delivery_slot1')->insert(['slot_id'=>$id,'start_time'=>$start_time1[$i],'end_time'=>$end_time1[$i],'no_of_delivery'=>$no_of_delivery1[$i]]);    
		  }else{
		  	DB::table('delivery_slot1')->where('id','=',$update_id)->update(['start_time'=>$start_time1[$i],'end_time'=>$end_time1[$i],'no_of_delivery'=>$no_of_delivery1[$i]]);    
		  }
            
        }
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('Delivery slot updated successfully.');

        return redirect()->back();

    }
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $delivery_slot=DB::table('delivery_slot')->where('id','=',$id)->get();
		
        if (empty($delivery_slot)) {
            Flash::error('Delivery slot not found');

            return redirect(route('delivery_slot.index'));
        }

        DB::table('delivery_slot')->where('id','=',$id)->delete();
        DB::table('delivery_slot1')->where('slot_id','=',$id)->delete();

        Flash::success('Delivery slot deleted successfully.');

        return redirect(route('delivery_slot.index'));
    }
    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
