<?php
namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class DrivermanageController extends Controller
{
    public function index()
    {
         $domain_address_code = session('domain_address_setup');
         $getpickup = DB::table('driver_manage')->join('drivers', 'drivers.id','=','driver_manage.driver_name')->join('users', 'users.id','=','drivers.user_id')->where('users.country','=',$domain_address_code)->select('driver_mange.*')->orderBy('driver_manage.id','DESC')->paginate(10);
         return view('drivermanage/index', ['getpickupuser' => $getpickup
      ]);
    }

    /**
     * Show the form for creating a new User.
     *
     * @return Response
     */
    public function create()
    {
           $domain_address_code = session('domain_address_setup');
           $store = DB::table('drivers as d')
                   ->join('users as u' , 'u.id', '=', 'd.user_id')
                   ->where('u.country','=',$domain_address_code)
                    ->select('d.*', 'u.name as driver_name')
                   ->get();
           $getpickup = DB::table('driver_manage')->join('drivers', 'drivers.id','=','driver_manage.driver_name')->join('users', 'users.id','=','drivers.user_id')->where('users.country','=',$domain_address_code)->select('driver_manage.*')->orderBy('driver_manage.id','DESC')->get();
         for($j=0;$j<count($getpickup);$j++){
                 $category=explode(',',$getpickup[$j]->driver_name );
                                   $cat=[];
                               for($i=0;$i<count($category);$i++){
                                    $vehc=DB::table('drivers as d')
                                     ->join('users as u' , 'u.id', '=', 'd.user_id')
                                      ->select('d.*', 'u.name as driver_name')
                                    ->where('d.id',$category[$i])->first();
                                   $cat[]=$vehc->driver_name;
                               }
                               $vechim=implode(',',$cat);
                              $getpickup[$j]->description=$getpickup[$j]->reason;
                               $getpickup[$j]->title=$vechim;
         }
        return view('drivermanage.create',['store'=>$store,'getpickupuser' => $getpickup]);
        
    }

    /**
     * Store a newly created User in storage.
     *
     * @param CreateUserRequest $request
     *
     * @return Response
     */
    public function store(Request $request)
    {
    
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
        $date_added	= date('Y-m-d H:i:s');
        $category=implode(',',$request->driver_name);
        $date=date_create($request->date);
       $daten=date_format($date,"Y/m/d");
       if($request->id){
           	DB::table('driver_manage')->where('id','=',$request->id)->update(['date'=>$request->date,'driver_name'=>$category,'reason'=>$request->reason]);
       }else{
      DB::table('driver_manage')->insert(['date'=>$daten,'driver_name'=>$category,'reason'=>$request->reason,'created'=>$date_added]);
       }
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('drivermanage.create'));
    }

    /**
     * Display the specified User.
     *
     * @param int $id
     *
     * @return Response
     */


    /**
     * Show the form for editing the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('labels.index'));
        }
       
	    $result = array();		
		$result['message'] = array();
		
		$editlabel = DB::table('driver_manage')->where('id','=',$id)->get();
		  $store = DB::table('drivers as d')
		   ->join('users as u' , 'u.id', '=', 'd.user_id')
           ->select('d.*', 'u.name as driver_name')
		  ->get();
		$result['editlabel'] = $editlabel;		
	
        
        return view("drivermanage.edit",['editlabel' => $editlabel])->with('result',$store);
        
    }

    
    /**
     * Remove the specified User from storage.
     *
     * @param int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $lang_translation=DB::table('driver_manage')->where('id','=',$id)->get();
		
        if (empty($lang_translation)) {
            Flash::error('not found');

            return redirect(route('drivermanage.create'));
        }

        DB::table('driver_manage')->where('id','=',$id)->delete();

        Flash::success('deleted successfully.');

       return redirect(route('drivermanage.create'));
    }


}
