<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class ErpController extends Controller
{
    public function index()
    {
         $erp = DB::table('erp_settings')->orderBy('id','DESC')->get();
         return view('erp/index', ['erp' => $erp]);
    }
    public function create()
    {
         $store = DB::table('store_group')->where('group_id','!=','0')->get();
        return view('locations.create',['store'=>$store]);
        
    }

    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
           $date_added	= date('Y-m-d H:i:s');
      DB::table('locations')->insert(['store_id'=>$request->store_id,'name'=>$request->name,'status'=>$request->status,'created'=>$date_added]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('locations.index'));
    }
    public function show($id)
    {
    }

    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('locations.index'));
        }
       
	
	
	    $result = array();		
		$result['message'] = array();
		
		$editlocations = DB::table('locations')->where('id','=',$id)->get();
		$result['editlocations'] = $editlocations;		
		$store = DB::table('store_group')->where('group_id','!=','0')->get();
		$result['store'] = $store;
		
        if (empty($editlocations)) {
            Flash::error('Locations not found');

            return redirect(route('locations.index'));
        }
        
        return view("locations.edit",['editlocations' => $editlocations])->with('result',$result);
        
    }

    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }

        try {
        $last_modified=date('Y-m-d H:i:s');
		DB::table('erp_settings')->where('id','=',$id)->update(['base_url'=>$request->base_url,'loyalty_url'=>$request->loyalty_url]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('Url updated successfully.');

        return redirect()->back();
    }

    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $locations=DB::table('locations')->where('id','=',$id)->get();
		
        if (empty($locations)) {
            Flash::error('Location not found');

            return redirect(route('locations.index'));
        }

        DB::table('locations')->where('id','=',$id)->delete();

        Flash::success('Locations deleted successfully.');

        return redirect(route('locations.index'));
    }

    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
