<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;
use Illuminate\Pagination\LengthAwarePaginator;
use Prettus\Validator\Exceptions\ValidatorException;
use \stdClass;
use DB;

class ErpInventoryController extends Controller
{
    public function index()
    {
            $perPage = 10;
            if(isset($_GET["search"]) && $_GET["search"] != ""){
                $search = $_GET["search"];
                $erpinventory = '';
                if(is_numeric($search) == true){
                    $erpinventory = DB::table('erp_inventory')
                    ->where('erp_inventory.barcode', 'LIKE', "%{$search}%")
                    ->groupBy('erp_inventory.id')
                    ->orderBy('erp_inventory.id','ASC')
                    ->paginate($perPage);
                }
                
                return view('erpinventory/index', ['erpinventory' => $erpinventory, "perPage" => $perPage]);
            } else {
                $erpinventory = DB::table('erp_inventory')
                ->groupBy('erp_inventory.id')
                ->orderBy('erp_inventory.id','ASC')
                ->paginate($perPage);
                return view('erpinventory/index', ['erpinventory' => $erpinventory, "perPage" => $perPage]);
            }
    }
    
    public function edit($id)
    {
        $erpinventory = DB::table('erp_inventory')
                    ->where('erp_inventory.id', '=', $id)
                    ->get();
        return view('erpinventory/edit', ['erpinventory' => $erpinventory]);
    }
    
    public function update(Request $request, $id)
    {
        $inventory = isset($request->inventory)? $request->inventory : ""; 
        $erpinventory = DB::table('erp_inventory')
                    ->where('erp_inventory.id', '=', $id)
                    ->update(["inventory"=>$inventory]);
                    
        Flash::success('Updated successfully.');

        return redirect()->back();
    }
    
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    public function paginate($items, $perPage, $page = null, $options = [])
    {
        $page = $page ?: (Paginator::resolveCurrentPage() ?: 1);
        $items = $items instanceof Collection ? $items : Collection::make($items);
        $pagePath = "";
        $url = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
        if(isset($_GET["search"])){
           $fullUrl = $url."?search=".$_GET["search"]."";
           $pagePath = ['path' => $fullUrl];
        } else {
            $pagePath = ['path' => $url];
        }
        return new LengthAwarePaginator($items->forPage($page, $perPage), $items->count(), $perPage, $page, $pagePath, $options);
    }
    
}
