<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class ErpStoreController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
     public function country(){
         $domain_address_code = session('domain_address_setup');
         if(empty($domain_address_code)){
            $domain_address_code='JO';
         }
         $sqlcountry=DB::select("SELECT value,GROUP_CONCAT(scope_id SEPARATOR ',') AS `store_id`  FROM `core_config_data` WHERE path='general/country/destinations' AND value='$domain_address_code' group by value order by config_id asc"); 
         $countryy  = array();
         $s1 = 0;
         foreach($sqlcountry as $country){
            $explode1=explode(',',$country->store_id);
            $countrycode=$country->value;
            $store_id1=isset($explode1[0]) ? $explode1[0] :'';
            $stores1=DB::select("SELECT code FROM store WHERE store_id='$store_id1'");
            $codeurl=isset($stores1[0]->code) ? $stores1[0]->code : '';
            $msp_tfa_country_codes=DB::select("SELECT name FROM msp_tfa_country_codes WHERE code='$countrycode'");
            $countryname=isset($msp_tfa_country_codes[0]->name) ? $msp_tfa_country_codes[0]->name : '';
            $countryy[$s1]['country_name'] = $countryname;
            $countryy[$s1]['country_code'] = $countrycode;
            $s1++;
        }
        return $countryy;
    }
    public function index()
    {
        // $contact_details = DB::table('contact_details')->where('active','=','1')->orderBy('id','DESC')->paginate(10);
         $countryy = $this->country();
         $country_code = $countryy[0]['country_code'];
         $contact_details = DB::table('erp_store')->join('store_group', 'erp_store.store_id', '=', 'store_group.group_id')->select('erp_store.*', 'store_group.name')->where('erp_store.country_code','=',$country_code)->paginate(10);
         return view('erp_store/index', ['contact_details' =>$contact_details, 'country'=>$countryy]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
         $labels = DB::table('lang_translation')->where('id','!=','0')->get();
         $store_details = DB::table('store_group')->where('default_store_id','!=','0')->get();
         $store_country = DB::table('store_locations')->where('status','!=','0')->get();
         $countryy = $this->country();
        return view('erp_store.create',['labels'=>$labels, 'store_details'=>$store_details, 'store_country'=>$store_country, 'country'=>$countryy]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
       if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
        //   $date_added	= date('Y-m-d H:i:s');
         $erpstore = DB::table('erp_store')->where('erp_store_code','=',$request->erp_store_code)->where('store_id','=',$request->store_id)->first();
         if(empty($erpstore)){
             DB::table('erp_store')->insert(['country_code'=>$request->country_code, 'erp_store_code'=>$request->erp_store_code, 'store_id'=>$request->store_id]);
         } else {
             Flash::error('Already in this data available in our database.');
              return redirect(route('erp_store.index'));
         }
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('erp_store.index'));
    }
    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('contact_details.index'));
        }
	    $result = array();		
		$result['message'] = array();
		$countryy = $this->country();
		$country_code = $countryy[0]['country_code'];
		  $contact_details = DB::table('erp_store')->join('store_group', 'erp_store.store_id', '=', 'store_group.group_id')->select('erp_store.*', 'store_group.name', 'store_group.default_store_id', 'store_group.group_id')->where('erp_store.country_code','=',$country_code)->where('erp_store.id','=',$id)->get();
		$result['contact_details'] = $contact_details;	
		$result['country'] = $countryy;
        if (empty($contact_details)) {
            Flash::error('Erp_Store Code Details not found');

            return redirect(route('erp_store.index'));
        }
        
        return view("erp_store.edit",['contact_details' => $contact_details, 'country'=>$countryy])->with('result',$result);
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }
        try {
        // $last_modified=date('Y-m-d H:i:s');
		DB::table('erp_store')->where('id','=',$id)->update(['erp_store_code'=>$request->erp_store_code,'country_code'=>$request->country_code, 'store_id'=>$request->store_id]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('Erp store code updated successfully.');

        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $contact_details=DB::table('erp_store')->where('id','=',$id)->get();
		
        if (empty($contact_details)) {
            Flash::error('Contact not found');

            return redirect(route('erp_store.index'));
        }

        DB::table('erp_store')->where('id','=',$id)->delete();

        Flash::success('Erp store code deleted successfully.');

        return redirect(route('erp_store.index'));
    }
}
