<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class ImportcategoryController extends Controller
{
    public function index()
    {
        $date=date("Y-m-d");
         $importcategory = DB::table('importcategory')->where('date','=',$date)->orderBy('id','DESC')->paginate(50);
         return view('importcategory/index', ['importcategory' => $importcategory
      ]);
    }

    /**
     * Show the form for creating a new User.
     *
     * @return Response
     */
    public function create()
    {
        $labels = DB::table('tolerance')->where('id','!=','0')->get();
        return view('tolerance.create',['labels'=>$labels]);
        
    }

    /**
     * Store a newly created User in storage.
     *
     * @param CreateUserRequest $request
     *
     * @return Response
     */
    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
      $date_added	= date('Y-m-d H:i:s');
      
      $fileName = $_FILES["file"]["tmp_name"]; 
    
if ($_FILES["file"]["size"] > 0) {
if (($handle = fopen($fileName, "r")) !== FALSE) {
while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
$itemcode=trim($data[0]);    
//$barcode=trim($data[1]);
$category_1=trim($data[1]);
$category_2=isset($data[2]) ? trim($data[2]) :'';
$category_3=isset($data[3]) ? trim($data[3]) :'';
$category_4=isset($data[4]) ? trim($data[4]) : '';
$date=date("y-m-d");
if(!empty($itemcode)){
$results = DB::table('importcategory')->where('itemcode','=',$itemcode)->where('date','=',$date)->get();    
if(count($results)==0){
 DB::table('importcategory')->insert(['itemcode'=>$itemcode,'category_1'=>$category_1,'category_2'=>$category_2,'category_3'=>$category_3,'category_4'=>$category_4,'date'=>$date]);    
}else{
$id=$results[0]->id;     
DB::table('importcategory')->where('id','=',$id)->update(['itemcode'=>$itemcode,'category_1'=>$category_1,'category_2'=>$category_2,'category_3'=>$category_3,'category_4'=>$category_4]);
}
}
}
fclose($handle);
}
}
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('Import category successfully.');

        return redirect(route('importcategory.index'));
    }

    /**
     * Display the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        // $user = $this->VehicleRepository->findWithoutFail($id);

        // if (empty($user)) {
        //     Flash::error('User not found');

        //     return redirect(route('importcategory.index'));
        // }

        return view('settings.users.profile')->with('user', $user);
    }

 
      public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('tolerance.index'));
        }
      
	    $result = array();		
		$result['message'] = array();
		
		$edittolerance = DB::table('tolerance')->where('id','=',$id)->get();
		$result['edittolerance'] = $edittolerance;		
		
		
        if (empty($edittolerance)) {
            Flash::error('Tolerance not found');

            return redirect(route('tolerance.index'));
        }
        
        return view("tolerance.edit",['edittolerance' => $edittolerance])->with('result',$result);
        
    }

    /**
     * Update the specified User in storage.
     *
     * @param int $id
     * @param UpdateUserRequest $request
     *
     * @return Response
     */
    public function update(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
        $date=date("Y-m-d");
        $results = DB::table('importcategory')->where('date','=',$date)->where('status','=','0')->limit(500)->get();  
        if(count($results)>0){
        foreach($results as $value){
            $auto_id=$value->id; 
          // $barcode=preg_replace('/[\x00-\x1F\x80-\xFF]/','',$value->barcode); 
            $itemcode=preg_replace('/[\x00-\x1F\x80-\xFF]/','',$value->itemcode); 
            $category_1=$value->category_1;
            $category_2=$value->category_2;
            $category_3=$value->category_3;
            $category_4=$value->category_4;
            $sku = DB::table('catalog_product_entity_varchar')->select('entity_id')->where('attribute_id','=','187')->where('store_id','=','0')->where('value','=',$itemcode)->get();
            if(count($sku) > 0) {
            foreach($sku as $sku1) {   
             $cat_array=array();      
            $entity_id=$sku1->entity_id;      
            $category=DB::table('catalog_category_entity_varchar as cc')->select('cc1.entity_id as cat_id')->join('catalog_category_entity as cc1','cc1.entity_id','=','cc.entity_id')->where('cc.attribute_id','=','45')->where('cc1.level','=','2')->where('cc.value','=',$category_1)->where('cc.store_id','=','0')->get();  
            $check=true;
            if(count($category)>0){
                echo $category_id=$category[0]->cat_id;  
                $check=true;
                array_push($cat_array,$category_id);
            }else{
                $check=false;
            }
            
            if(!empty($category_2)){
            $category1=DB::table('catalog_category_entity_varchar as cc')->select('cc1.entity_id as cat_id')->join('catalog_category_entity as cc1','cc1.entity_id','=','cc.entity_id')->where('cc.attribute_id','=','45')->where('cc1.level','=','3')->where('cc.value','=',$category_2)->where('cc.store_id','=','0')->get();  
            $check1=true;
            if(count($category1)>0){
                $category_id=$category1[0]->cat_id; 
                $check1=true;
                array_push($cat_array,$category_id);
            }else{
                $check1=false;
            }
            }else{
               $check1=false; 
            }
            
            if($check1==true){
            $category2=DB::table('catalog_category_entity_varchar as cc')->select('cc1.entity_id as cat_id')->join('catalog_category_entity as cc1','cc1.entity_id','=','cc.entity_id')->where('cc.attribute_id','=','45')->where('cc1.level','=','4')->where('cc.value','=',$category_3)->where('cc.store_id','=','0')->get();  
            $check2=true;
            if(count($category2)>0){
                $category_id=$category2[0]->cat_id; 
                $check2=true;
                array_push($cat_array,$category_id);
            }else{
                $check2=false;
            }
            }else{
              $check2=false;  
            }
            
            if($check1==true && $check2==true){
            $category3=DB::table('catalog_category_entity_varchar as cc')->select('cc1.entity_id as cat_id')->join('catalog_category_entity as cc1','cc1.entity_id','=','cc.entity_id')->where('cc.attribute_id','=','45')->where('cc1.level','=','5')->where('cc.value','=',$category_4)->where('cc.store_id','=','0')->get();  
            $check3=true;
            if(count($category3)>0){
                $category_id=$category3[0]->cat_id;
                $check3=true;
                array_push($cat_array,$category_id);
            }else{
                $check3=false;
            }
            }else{
               $check3=false; 
            }
if(($check==true && $check1==true && $check2==true && $check3==true) ||  ($check==true && $check1==true && $check2==true && $check3==false) || ($check==true && $check1==true && $check2==false && $check3==false)){

DB::table('catalog_category_product')->where('product_id','=',$entity_id)->delete();  
$stores = DB::table('store')->where('store_id','!=',0)->where('is_active','=','1')->get();  
foreach($stores as $stores1){
$store_id=$stores1->store_id;    
$catalog1='catalog_category_product_index_store'.$store_id;
DB::table($catalog1)->where('product_id','=',$entity_id)->delete();  
//DB::table('catalog_category_product_index_store11')->where('product_id','=',$entity_id)->delete(); 
}
  
foreach($stores as $stores1){
$store_id=$stores1->store_id;     
$catalog1='catalog_category_product_index_store'.$store_id;    
#store1    
$checkitem=DB::table($catalog1)->where('category_id','=','2')->where('product_id','=',$entity_id)->where('store_id','=',$store_id)->get();
if(count($checkitem)==0){
    DB::table($catalog1)->insert(['category_id'=>'2','product_id'=>$entity_id,'position'=>'0','is_parent'=>'0','store_id'=>$store_id,'visibility'=>'4']);    
}
}

#store11    
// $checkitem1=DB::table('catalog_category_product_index_store11')->where('category_id','=','2')->where('product_id','=',$entity_id)->where('store_id','=','11')->get();
// if(count($checkitem1)==0){
//     DB::table('catalog_category_product_index_store11')->insert(['category_id'=>'2','product_id'=>$entity_id,'is_parent'=>'0','store_id'=>'11','visibility'=>'4']);    
// }
//print_r($cat_array);             
$category_id1=$cat_array;
foreach($cat_array as $cat){
//$cat1=implode(',',$category_id1);    
#default    
$checkitemnumber=DB::table('catalog_category_product')->where('category_id','=',$cat)->where('product_id','=',$entity_id)->get();
if(count($checkitemnumber)==0){
 DB::table('catalog_category_product')->insert(['category_id'=>$cat,'product_id'=>$entity_id]);    
}else{
$catup=$checkitemnumber[0]->category_id;
$entity_idup=$checkitemnumber[0]->product_id;
DB::table('catalog_category_product')->where('category_id','=',$cat)->where('product_id','=',$entity_id)->update(['category_id'=>$catup,'product_id'=>$entity_idup]);
}

foreach($stores as $stores1){
$store_id=$stores1->store_id;    
$catalog1='catalog_category_product_index_store'.$store_id;
#store1    
$checkitemnumber1=DB::table($catalog1)->where('category_id','=',$cat)->where('product_id','=',$entity_id)->where('store_id','=',$store_id)->get();
if(count($checkitemnumber1)==0){
   $t=DB::table($catalog1)->insert(['category_id'=>$cat,'product_id'=>$entity_id,'position'=>'0','is_parent'=>'1','store_id'=>$store_id,'visibility'=>'4']);    
}else{
$catup=$checkitemnumber1[0]->category_id;
$entity_idup=$checkitemnumber1[0]->product_id;    
DB::table($catalog1)->where('category_id','=',$cat)->where('product_id','=',$entity_id)->where('store_id','=',$store_id)->update(['category_id'=>$catup,'product_id'=>$entity_idup]);
}
}

#store11    
// $checkitemnumber2=DB::table('catalog_category_product_index_store11')->where('category_id','=',$cat)->where('product_id','=',$entity_id)->where('store_id','=','11')->get();
// if(count($checkitemnumber2)==0){
//     DB::table('catalog_category_product_index_store11')->insert(['category_id'=>$cat,'product_id'=>$entity_id,'is_parent'=>'1','store_id'=>'11','visibility'=>'4']);    
// }else{
// DB::table('catalog_category_product_index_store11')->where('category_id','=',$cat)->where('product_id','=',$entity_id)->where('store_id','=','11')->update(['category_id'=>$cat,'product_id'=>$entity_id]);
// }

}
//print_r($category_id1);
            $remarks="Product updated successfully.";
            DB::table('importcategory')->where('id','=',$auto_id)->update(['status'=>'1','remarks'=>$remarks]);  
             //Flash::success($remarks);
            }else{
            $remarks="Category not matching";
            DB::table('importcategory')->where('id','=',$auto_id)->update(['status'=>'2','remarks'=>$remarks]); 
             //Flash::success($remarks);
            }
            unset($cat_array);
            }
            }else{
            $remarks="Itemcode not matching";
            DB::table('importcategory')->where('id','=',$auto_id)->update(['status'=>'2','remarks'=>$remarks]);   
             //Flash::success($remarks);
            }
        }
        }else{
           Flash::success('Not updated.');  
        }
		
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }
        return redirect()->back();

    }

    /**
     * Remove the specified User from storage.
     *
     * @param int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $tolerance=DB::table('tolerance')->where('id','=',$id)->get();
		
        if (empty($tolerance)) {
            Flash::error('Import Category not found');

            return redirect(route('importcategory.index'));
        }

        // DB::table('tolerance')->where('id','=',$id)->delete();

        // Flash::success('Tolerance deleted successfully.');

        // return redirect(route('tolerance.index'));
    }
    public function multiDelete(Request $request){
        $ids = $request->ids;
        DB::table("importcategory")->whereIn('id',explode(",",$ids))->delete();
        return response()->json(['success'=>"Import Category Deleted successfully."]);
    }
    /**
     * Remove Media of User
     * @param Request $request
     */
    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
