<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use Validator;
use URL;
use DB;

class MarqueeSliderController extends Controller
{
     public function index()
    {
         $page = isset($_GET["page"])? $_GET["page"] : "en";
         $marquee_slider = DB::table('marquee_slider')->where("page",$page)->paginate(10);
        //  print_r($promotion);exit;
         return view('marquee_slider/index', ['marquee_slider' => $marquee_slider, 'page'=>$page]);
    }
    public function create()
    {
        $page = isset($_GET["page"])? $_GET["page"] : "en";
        return view('marquee_slider.create',['page'=>$page]);
        
    }

    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
           $date_added	= date('Y-m-d H:i:s');
           DB::table('marquee_slider')->insert(['slider_content'=>$request->slider_content,'page'=>$request->page,'status'=>$request->status]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect("marquee_slider?page=$request->page");
    }
    public function show($id)
    {
    }

    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.index'));
        }
       
	    $result = array();		
		$result['message'] = array();
		
		$page = isset($_GET["page"])? $_GET["page"] : "en";
		$marquee_slider = DB::table('marquee_slider')->where('id','=',$id)->get();
		$result['marquee_slider'] = $marquee_slider;
		
        if (empty($marquee_slider)) {
            Flash::error('Marquee slider not found');

            return redirect(route('marquee_slider.index'));
        }
        
        return view("marquee_slider.edit",['marquee_slider' => $marquee_slider, "page"=>$page])->with('result',$result);
        
    }

    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }
        
        $page = isset($request->page)? $request->page : "en";
        $marquee = DB::table('marquee_slider')->where('id','=',$request->id)->get();
        if (empty($marquee)) {
            Flash::error('Marquee Slider not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
		DB::table('marquee_slider')->where('id','=',$id)->update(['status'=>$request->status,'slider_content'=>$request->slider_content]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('Updated successfully.');

        return redirect()->back()->with('page', $page);

    }

    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $marquee=DB::table('marquee_slider')->where('id','=',$id)->get();
		
        if (empty($marquee)) {
            Flash::error('Marquee slider not found');

            return redirect(route('marquee_slider.index'));
        }
        $page = isset($_GET['page'])? $_GET['page'] : "en";
        DB::table('marquee_slider')->where('id','=',$id)->delete();

        Flash::success('Deleted successfully.');

        return redirect("marquee_slider?page=$page");
    }

    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
