<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class MobileAppVersionController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //  $mobileAppVersion = DB::table('mobile_app_version')->where('status','=',1)->orderBy('id','DESC')->get();
        $mobileAppVersion = DB::table('mobile_app_version')->orderBy('id','DESC')->get();
         return view('mobile_app_version.index', ['mobile_app_version' => $mobileAppVersion]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }

        try {
         $mobileAppVersion = DB::table('mobile_app_version')->select('update_ios','update_android')->where('id','=',$id)->get();  
        $android_version=isset($mobileAppVersion[0]->update_android) ? $mobileAppVersion[0]->update_android  : '';  
        $ios_version=isset($mobileAppVersion[0]->update_ios) ? $mobileAppVersion[0]->update_ios  : ''; 
        $last_modified=date('Y-m-d H:i:s');
        $message=strip_tags($request->mobile_app_description);
        $arabic_message=strip_tags($request->mobile_app_arabic_description);
        $current_android=$request->android_version;
        $current_ios=$request->ios_version;
		DB::table('mobile_app_version')->where('id','=',$id)->update(['mobile_app_name'=>$request->mobile_app_name,'android_version'=>$request->android_version,'ios_version'=>$request->ios_version,'android_url'=>$request->android_url,'ios_url'=>$request->ios_url,'description'=>$request->mobile_app_description,'arabic_description'=>$request->mobile_app_arabic_description,'status'=>$request->status]);
		
if($android_version!=$current_android){		
$customer = DB::table('customer_entity')->select('customer_entity_varchar.value','customer_entity.entity_id','customer_devices.token')->join('customer_entity_varchar','customer_entity_varchar.entity_id','=','customer_entity.entity_id')->join('customer_devices','customer_devices.user_id','=','customer_entity.entity_id')->where('customer_entity_varchar.attribute_id','=','193')->whereIn('customer_entity.entity_id',array('119'))->where('device_os','=','android')->get();
$android_array=array();
foreach($customer as $key=>$value){
$phone_number=isset($value->value) ? $value->value : '';
$customer_id=isset($value->entity_id) ? $value->entity_id : '';
$token=isset($value->token) ? $value->token : '';
$substr=substr($phone_number,0,3); 
if($substr=="971"){
  $phone_number1=$phone_number;  
}else{
 $phone_number1="971".$phone_number;
}
array_push($android_array,$token);
//echo $phone_number1;
$stop="+Stop+5258";
$message1 = str_replace(" ",'%20',$message); 
$url="http://smsplus.radiosms.ca/send_sms.php";
$from="Ajman Coop";
$from1 = str_replace(" ",'%20',$from);
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => "".$url."?from=".$from1."&to=".$phone_number1."&user=ajmaancoop&password=data234&msg=".$message1.$stop."&camp=test_bulk&dr=1",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_SSL_VERIFYHOST => 0,
  CURLOPT_SSL_VERIFYPEER => 0,
));

$resresult = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

$stop="+Stop+5258";
$message1 = str_replace(" ",'%20',$arabic_message); 
$url="http://smsplus.radiosms.ca/send_sms.php";
$from="Ajman Coop";
$from1 = str_replace(" ",'%20',$from);
$curl = curl_init();
curl_setopt_array($curl, array(
  CURLOPT_URL => "".$url."?from=".$from1."&to=".$phone_number1."&user=ajmaancoop&password=data234&msg=".$message1.$stop."&camp=test_bulk&dr=1&lang=u",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_SSL_VERIFYHOST => 0,
  CURLOPT_SSL_VERIFYPEER => 0,
));

$resresult = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);
}
$url='https://fcm.googleapis.com/fcm/send';

$serverKey="AAAARyGwVh8:APA91bFbF2aKlPQ0c6dlEuDoM4ZeYhKOOwW9uF1PIE-LKh9hsBVneFtgyNxdnotxMNdva7955rCuLRLd8V_mVwOYpMgdCgPifH0mamVSKipNzGJvv3WC_wf6We5C5KJmkHqL7X9B_dex";
$title="";
$notification=array('title' =>$title ,'body' =>$message,'sound'=>'1', 'vibrate'=>'1');
// $arrayToSend = array('to' => $token, 'notification' => $notification,'priority'=>'high');
$fields = array
(
	'registration_ids' 	=> $android_array,
	'notification'	=> $notification
);
    $json = json_encode($fields);
    $headers = array();
    $headers[] = 'Content-Type: application/json';
    $headers[] = 'Authorization: key='. $serverKey;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST,"POST");
    curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
    curl_setopt($ch, CURLOPT_HTTPHEADER,$headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER,true);
    //Send the request
    $response = curl_exec($ch);
    //Close request
    //print_r($response);
curl_close($ch);

$url='https://fcm.googleapis.com/fcm/send';

$serverKey="AAAARyGwVh8:APA91bFbF2aKlPQ0c6dlEuDoM4ZeYhKOOwW9uF1PIE-LKh9hsBVneFtgyNxdnotxMNdva7955rCuLRLd8V_mVwOYpMgdCgPifH0mamVSKipNzGJvv3WC_wf6We5C5KJmkHqL7X9B_dex";
$title="";
$notification=array('title' =>$title ,'body' =>$arabic_message,'sound'=>'1', 'vibrate'=>'1');
// $arrayToSend = array('to' => $token, 'notification' => $notification,'priority'=>'high');
$fields = array
(
	'registration_ids' 	=> $android_array,
	'notification'	=> $notification
);
    $json = json_encode($fields);
    $headers = array();
    $headers[] = 'Content-Type: application/json';
    $headers[] = 'Authorization: key='. $serverKey;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST,"POST");
    curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
    curl_setopt($ch, CURLOPT_HTTPHEADER,$headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER,true);
    //Send the request
    $response = curl_exec($ch);
    //Close request
    //print_r($response);
curl_close($ch);
DB::table('mobile_app_version')->where('id','=',$id)->update(['update_android'=>$request->android_version,'update_android_status'=>1]);
}

if($ios_version!=$current_ios){		
$customer = DB::table('customer_entity')->select('customer_entity_varchar.value','customer_entity.entity_id','customer_devices.token')->join('customer_entity_varchar','customer_entity_varchar.entity_id','=','customer_entity.entity_id')->join('customer_devices','customer_devices.user_id','=','customer_entity.entity_id')->where('customer_entity_varchar.attribute_id','=','193')->whereIn('customer_entity.entity_id',array('119'))->where('device_os','=','iOS')->get();
$android_array=array();
foreach($customer as $key=>$value){
$phone_number=isset($value->value) ? $value->value : '';
$customer_id=isset($value->entity_id) ? $value->entity_id : '';
$token=isset($value->token) ? $value->token : '';
$substr=substr($phone_number,0,3); 
if($substr=="971"){
  $phone_number1=$phone_number;  
}else{
 $phone_number1="971".$phone_number;
}
array_push($android_array,$token);

$stop="+Stop+5258";
$message1 = str_replace(" ",'%20',$message); 
$url="http://smsplus.radiosms.ca/send_sms.php";
$from="Ajman Coop";
$from1 = str_replace(" ",'%20',$from);
$curlios = curl_init();
curl_setopt_array($curlios, array(
  CURLOPT_URL => "".$url."?from=".$from1."&to=".$phone_number1."&user=ajmaancoop&password=data234&msg=".$message1.$stop."&camp=test_bulk&dr=1",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 120,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_SSL_VERIFYHOST => 0,
  CURLOPT_SSL_VERIFYPEER => 0,
));

curl_exec($curlios);
curl_error($curlios); 

curl_close($curlios);

$stop="+Stop+5258";
$message1 = str_replace(" ",'%20',$arabic_message); 
$url="http://smsplus.radiosms.ca/send_sms.php";
$from="Ajman Coop";
$from1 = str_replace(" ",'%20',$from);
$curl1 = curl_init();
curl_setopt_array($curl1, array(
  CURLOPT_URL => "".$url."?from=".$from1."&to=".$phone_number1."&user=ajmaancoop&password=data234&msg=".$message1.$stop."&camp=test_bulk&dr=1&lang=u",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_SSL_VERIFYHOST => 0,
  CURLOPT_SSL_VERIFYPEER => 0,
));

$resresult1 = curl_exec($curl1); 
$err1 = curl_error($curl1); 

curl_close($curl1);
}

$url='https://fcm.googleapis.com/fcm/send';

$serverKey="AAAARyGwVh8:APA91bFbF2aKlPQ0c6dlEuDoM4ZeYhKOOwW9uF1PIE-LKh9hsBVneFtgyNxdnotxMNdva7955rCuLRLd8V_mVwOYpMgdCgPifH0mamVSKipNzGJvv3WC_wf6We5C5KJmkHqL7X9B_dex";
$title="";
$notification=array('title'=>$title ,'body'=>$message,'sound'=>'1','vibrate'=>'1');
// $arrayToSend = array('to' => $token, 'notification' => $notification,'priority'=>'high');
$fields = array
(
	'registration_ids' 	=> $android_array,
	'notification'	=> $notification
);
    $json = json_encode($fields);
    $headers = array();
    $headers[] = 'Content-Type: application/json';
    $headers[] = 'Authorization: key='. $serverKey;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST,"POST");
    curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
    curl_setopt($ch, CURLOPT_HTTPHEADER,$headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER,true);
    //Send the request
    $response = curl_exec($ch);
    //Close request
    //print_r($response);
curl_close($ch);

$url='https://fcm.googleapis.com/fcm/send';

$serverKey="AAAARyGwVh8:APA91bFbF2aKlPQ0c6dlEuDoM4ZeYhKOOwW9uF1PIE-LKh9hsBVneFtgyNxdnotxMNdva7955rCuLRLd8V_mVwOYpMgdCgPifH0mamVSKipNzGJvv3WC_wf6We5C5KJmkHqL7X9B_dex";
$title="";
$notification=array('title'=>$title,'body'=>$arabic_message,'sound'=>'1', 'vibrate'=>'1');
// $arrayToSend = array('to' => $token, 'notification' => $notification,'priority'=>'high');
$fields = array
(
	'registration_ids' 	=> $android_array,
	'notification'	=> $notification
);
    $json = json_encode($fields);
    $headers = array();
    $headers[] = 'Content-Type: application/json';
    $headers[] = 'Authorization: key='. $serverKey;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST,"POST");
    curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
    curl_setopt($ch, CURLOPT_HTTPHEADER,$headers);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER,true);
    //Send the request
    $response = curl_exec($ch);
    //Close request
    //print_r($response);
curl_close($ch);
DB::table('mobile_app_version')->where('id','=',$id)->update(['update_ios'=>$request->ios_version,'update_ios_status'=>1]);
}
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('Updated successfully.');

        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
