<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class PopupController extends Controller
{
    public function index()
    {
         $storeorder = DB::table('sales_order_statusinfo')->orderBy('id','DESC')->paginate(10);
         // $store = DB::table('store_group')->where('group_id','!=','0')->get();
         return view('salesorder_status.index', ['storeorder' => $storeorder
      ]);
    }
    public function create()
    {
         $status = DB::table('sales_order_status_state')->get();
        return view('salesorder_status.create',['status'=>$status]);
        
    }

    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
           $date_added	= date('Y-m-d H:i:s');
            $storeorder = DB::table('sales_order_statusinfo')->where('status',$request->status)->first();
            if($storeorder){
                
                	DB::table('sales_order_statusinfo')->where('status','=',$request->status)->update(['status'=>$request->status,'description'=>$request->description]);
            }else{
      DB::table('sales_order_statusinfo')->insert(['status'=>$request->status,'description'=>$request->description]);
            }
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('salesorder_status.index'));
    }
    public function show($id)
    {
    }

    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('salesorder_status.index'));
        }
       
	
	
	    $result = array();		
		$result['message'] = array();
		
		$editstatus = DB::table('sales_order_statusinfo')->where('id','=',$id)->get();
		   $status = DB::table('sales_order_status_state')->get();
// 		$result['editlocations'] = $editlocations;		
// 		$store = DB::table('store_group')->where('group_id','!=','0')->get();
// 		$result['store'] = $store;
		
//         if (empty($editlocations)) {
//             Flash::error('Locations not found');

//             return redirect(route('locations.index'));
//         }
        
        return view("salesorder_status.edit",['editstatus' => $editstatus,'status' => $status]);
        
    }

    public function update($id,Request $request)
    {
       
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }

   
        try {
                     	DB::table('sales_order_statusinfo')->where('id','=',$id)->update(['status'=>$request->status,'description'=>$request->description]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('updated successfully.');

        return redirect()->back();

    }

    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        


        DB::table('sales_order_statusinfo')->where('id','=',$id)->delete();

        Flash::success('deleted successfully.');

        return redirect(route('salesorder_status.index'));
    }

    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
