<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;
use Validator;
use URL;

class PushNotificationController extends Controller
{
    public function index()
    {
         $tolerance = DB::table('tolerance')->paginate(10);
         return view('tolerance/index', ['tolerance' => $tolerance
      ]);
    }

    /**
     * Display a user profile.
     *
     * @param
     * @return Response
     */
    public function profile()
    {
        $user = $this->VehicleRepository->findWithoutFail(auth()->id());
        unset($user->password);
        $customFields = false;
        $role = $this->roleRepository->pluck('name', 'name');
        $rolesSelected = $user->getRoleNames()->toArray();
        $customFieldsValues = $user->customFieldsValues()->with('customField')->get();
        //dd($customFieldsValues);
        $hasCustomField = in_array($this->VehicleRepository->model(), setting('custom_field_models', []));
        if ($hasCustomField) {
            $customFields = $this->customFieldRepository->findByField('custom_field_model', $this->VehicleRepository->model());
            $customFields = generateCustomField($customFields, $customFieldsValues);
        }
        return view('settings.users.profile', compact(['user', 'role', 'rolesSelected', 'customFields', 'customFieldsValues']));
    }

    /**
     * Show the form for creating a new User.
     *
     * @return Response
     */
    public function create()
    {
        //$labels = DB::table('tolerance')->where('id','!=','0')->get();
        return view('pushnotification.create');
        
    }

    /**
     * Store a newly created User in storage.
     *
     * @param CreateUserRequest $request
     *
     * @return Response
     */
    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
           $date_added	= date('Y-m-d H:i:s');
        $title=$request->title;
        $message=$request->description;
        $type=$request->type;
        if($type=='0'){
        $sql = DB::table('customer_devices')->where('device_os','=','android')->get();
        }else if($type=='1'){
        $sql = DB::table('customer_devices')->where('device_os','=','iOS')->get();    
        }else{
        $sql = DB::table('customer_devices')->get();    
        }
$registration_ids=array();
$user_ids=array();
foreach($sql as $value){
$tokenid=$value->token;     
array_push($registration_ids,$tokenid);

$userid=$value->user_id;     
array_push($user_ids,$userid);
}     
$implode=implode(',',$registration_ids);
$explode=explode(',',$implode);
//print_r($explode);


//Local Notifcation For Mobile Start
$srUserIds=array_chunk($user_ids,2500);
  // print_r($srUserIds);
$srarr = array();
foreach($srUserIds as $key=>$a){
    $srarr[$key] =  implode(",", $a);
}
// print_r($srarr[1]);
// exit;

$message_content = isset($request["message_content"])? $request["message_content"] : "";
$site_url = isset($request["url"])? $request["url"] : "";
$files = $_FILES['image']['name'];
$image1;
if($files!="") {
    $this->validate($request, [
            'image' => 'required|mimes:jpeg,png,jpg,webp,pdf|max:5048',
    ]);
            
    request()->image->move(public_path('/images/push_notification_files/'), $files);
    $image1 = $files;
} else {
    $image1 = '';
}

$img_url = URL::to('/')."/images/push_notification_files/".$image1;

date_default_timezone_set('Asia/Amman');
$updated_at=date("Y-m-d H:i:s");
$dateonly=date('Y-m-d');
$lastWeek = date("Y-m-d", strtotime("-7 days"));
DB::table('mobile_customer_notification')->where('cp_push','=','1')->where('dateonly','<=',$lastWeek)->delete();

foreach($srarr as $finaldt){
    DB::table('mobile_customer_notification')->insert([
          'user_id'=> $finaldt,'title' => $title,
          'body' => $message,
          'dateandtime' => $updated_at,
          'dateonly' => $dateonly,
          'cp_push' => '1',
          'message_section' => '1',
          'read_message' => '1',
          'message_content' => $message_content,
          'message_files' => $img_url,
          'url' => $site_url
      ]);
}
//Local Notification For Mobile End



$url = 'https://fcm.googleapis.com/fcm/send';

$serverKey="AAAApll5Gkw:APA91bEyUBsBXnBFY0ANjg7vWa-nSyPUeBZxCcABeLxV4aNEvpxtUTDKGCBGP4nuYENxE07r72FCIaC0TNaUD3F8ALgtsuud1raEE1BkTZrDiaqOjd3tnhn-JTZbu3hPGrdNR_H3m1BT";
//$title = "CTown";
$notification=array('title' =>$title , 'body' => $message, 'sound' => '1', 'badge' => '1');
$additionalData=array("click_action" =>"FLUTTER_NOTIFICATION_CLICK" , 'status' => "done","screen"=>"message");
$arrayToSend = array('registration_ids'=>$explode, 'notification' => $notification,'priority'=>'high', "data" => $additionalData);
    $json = json_encode($arrayToSend);
    $headers = array();
    $headers[] = 'Content-Type: application/json';
    $headers[] = 'Authorization: key='. $serverKey;
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST,"POST");
    curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
    curl_setopt($ch, CURLOPT_HTTPHEADER,$headers);
    //Send the request
    $response = curl_exec($ch);
    //print_r($response);
    //echo "ffgj"; exit;
    //Close request
    if ($response === FALSE) {
    die('FCM Send Error: ' . curl_error($ch));
    }
    curl_close($ch);
      
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('Notification sent successfully.');

        return redirect(route('pushnotification.create'));
    }

    /**
     * Display the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        $user = $this->VehicleRepository->findWithoutFail($id);

        if (empty($user)) {
            Flash::error('User not found');

            return redirect(route('tolerance.index'));
        }

        return view('settings.users.profile')->with('user', $user);
    }

    public function loginAsUser(Request $request, $id)
    {
        $user = $this->VehicleRepository->findWithoutFail($id);
        if (empty($user)) {
            Flash::error('User not found');
            return redirect(route('users.index'));
        }
        auth()->login($user, true);
        if (auth()->id() !== $user->id) {
            Flash::error('User not found');
        }
        return redirect(route('users.profile'));
    }

    /**
     * Show the form for editing the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
   
    
      public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('tolerance.index'));
        }
       
	
	
	    $result = array();		
		$result['message'] = array();
		
		$edittolerance = DB::table('tolerance')->where('id','=',$id)->get();
		$result['edittolerance'] = $edittolerance;		
		
		
        if (empty($edittolerance)) {
            Flash::error('Tolerance not found');

            return redirect(route('tolerance.index'));
        }
        
        return view("tolerance.edit",['edittolerance' => $edittolerance])->with('result',$result);
        
    }

    /**
     * Update the specified User in storage.
     *
     * @param int $id
     * @param UpdateUserRequest $request
     *
     * @return Response
     */
    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }

        $langtype = DB::table('tolerance')->where('id','=',$request->id)->get();
        if (empty($langtype)) {
            Flash::error('label not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
		DB::table('tolerance')->where('id','=',$id)->update(['tolerance_percent'=>$request->tolerance_percent,'shortest_tolerance'=>$request->shortest_tolerance,'status'=>$request->status,'modified'=>$last_modified]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('Tolerance updated successfully.');

        return redirect()->back();

    }

    /**
     * Remove the specified User from storage.
     *
     * @param int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $tolerance=DB::table('tolerance')->where('id','=',$id)->get();
		
        if (empty($tolerance)) {
            Flash::error('Tolerance not found');

            return redirect(route('tolerance.index'));
        }

        DB::table('tolerance')->where('id','=',$id)->delete();

        Flash::success('Tolerance deleted successfully.');

        return redirect(route('tolerance.index'));
    }

    /**
     * Remove Media of User
     * @param Request $request
     */
    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
