<?php

namespace App\Http\Controllers;

use App\Repositories\OrderRepository;
use App\Repositories\PaymentRepository;
use App\Repositories\MarketRepository;
use App\Repositories\UserRepository;
use Illuminate\Http\Request;
use DB;
use Carbon\Carbon;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;
use Illuminate\Pagination\LengthAwarePaginator;
use App\DataTables\ReportsDeliveryDatesDataTable;
use \stdClass;

class ReportCouponRedeemController extends Controller
{
    /** @var  OrderRepository */
    private $orderRepository;


    /**
     * @var UserRepository
     */
    private $userRepository;

    /** @var  MarketRepository */
    private $marketRepository;
    /** @var  PaymentRepository */
    private $paymentRepository;

    public function __construct(OrderRepository $orderRepo, UserRepository $userRepo, PaymentRepository $paymentRepo, MarketRepository $marketRepo)
    {
        parent::__construct();
        $this->orderRepository = $orderRepo;
        $this->userRepository = $userRepo;
        $this->marketRepository = $marketRepo;
        $this->paymentRepository = $paymentRepo;
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    // public function index(ReportsDeliveryDatesDataTable $dataTable)
    // {
     public function index()
     {
        $date = Carbon::now();
        $order_id_value = [];
        if(isset($_GET["from_date"]) && isset($_GET["to_date"])){
            $from_date = isset($_GET["from_date"])? $_GET["from_date"] : '';
            $to_date = isset($_GET["to_date"])? $_GET["to_date"] : '';
            $order_id_value = DB::select("SELECT DISTINCT sales_order.customer_id,sales_order.customer_firstname,sales_order.customer_lastname,sales_order.customer_email,sales_order.increment_id,sales_order.created_at,sales_order.discount_amount,sales_order.store_name,sales_order.coupon_code,customer_entity_varchar.value AS customer_phone_number FROM sales_order LEFT JOIN customer_entity_varchar on customer_entity_varchar.entity_id=sales_order.customer_id WHERE sales_order.created_at BETWEEN '$from_date' and '$to_date' AND sales_order.status IN('delivered') AND sales_order.coupon_code!='' ORDER BY sales_order.entity_id DESC");
        } else {
            $order_id_value = DB::select("SELECT DISTINCT sales_order.customer_id,sales_order.customer_firstname,sales_order.customer_lastname,sales_order.customer_email,sales_order.increment_id,sales_order.created_at,sales_order.discount_amount,sales_order.store_name,sales_order.coupon_code,customer_entity_varchar.value AS customer_phone_number FROM sales_order LEFT JOIN customer_entity_varchar on customer_entity_varchar.entity_id=sales_order.customer_id WHERE sales_order.status IN('delivered') AND sales_order.coupon_code!='' ORDER BY sales_order.entity_id DESC");
        }
          $perPage = 10;
          $data = $this->paginate($order_id_value, $perPage);
         return view('reports_coupon_redeem.index', ['couponDetails' => $data, "perPage" => $perPage
      ]);
    }
    
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    public function paginate($items, $perPage, $page = null, $options = [])
    {
        $page = $page ?: (Paginator::resolveCurrentPage() ?: 1);
        $items = $items instanceof Collection ? $items : Collection::make($items);
        $pagePath = "";
        $url = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
        if(isset($_GET["from_date"]) && isset($_GET["to_date"])){
           $fullUrl = $url."?from_date=".$_GET["from_date"]."&to_date=".$_GET["to_date"];
           $pagePath = ['path' => $fullUrl];
        } else {
            $pagePath = ['path' => $url];
        }
        return new LengthAwarePaginator($items->forPage($page, $perPage), $items->count(), $perPage, $page, $pagePath, $options);
    }
    
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}