<?php

namespace App\Http\Controllers;

use App\Repositories\OrderRepository;
use App\Repositories\PaymentRepository;
use App\Repositories\MarketRepository;
use App\Repositories\UserRepository;
use Illuminate\Http\Request;
use DB;
use Carbon\Carbon;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\Collection;
use Illuminate\Pagination\LengthAwarePaginator;
use App\DataTables\ReportsDeliveryDatesDataTable;
use \stdClass;

class ReportNewAccountController extends Controller
{
    /** @var  OrderRepository */
    private $orderRepository;


    /**
     * @var UserRepository
     */
    private $userRepository;

    /** @var  MarketRepository */
    private $marketRepository;
    /** @var  PaymentRepository */
    private $paymentRepository;

    public function __construct(OrderRepository $orderRepo, UserRepository $userRepo, PaymentRepository $paymentRepo, MarketRepository $marketRepo)
    {
        parent::__construct();
        $this->orderRepository = $orderRepo;
        $this->userRepository = $userRepo;
        $this->marketRepository = $marketRepo;
        $this->paymentRepository = $paymentRepo;
    }
    
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    // public function index(ReportsDeliveryDatesDataTable $dataTable)
    // {
     public function index()
     {
        $date = Carbon::now();
        // $ordersCount = $this->orderRepository->count();
        $membersCount = $this->userRepository->count();
        $marketsCount = $this->marketRepository->count();
        $order_id_value = "";
        if(isset($_GET["from_date"]) && isset($_GET["to_date"])){
            $from_date = isset($_GET["from_date"])? $_GET["from_date"] : '';
            $to_date = isset($_GET["to_date"])? $_GET["to_date"] : '';
            $order_id_value = DB::select("SELECT count(*) as total_count,DATE(created_at) as created_date FROM `customer_entity` WHERE DATE(created_at) BETWEEN '$from_date' and '$to_date' GROUP BY DATE(created_at) ORDER BY DATE(created_at) DESC");
        } else {
            $order_id_value = DB::select("SELECT count(*) as total_count,DATE(created_at) as created_date FROM `customer_entity` WHERE DATE(created_at)=CURRENT_DATE GROUP BY DATE(created_at) ORDER BY DATE(created_at) DESC");
        }
          $perPage = 10;
          $data = $this->paginate($order_id_value, $perPage);
         return view('reports_new_account.index', ['orderDetails' => $data, "perPage" => $perPage
      ]);
    }
    
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    public function paginate($items, $perPage, $page = null, $options = [])
    {
        $page = $page ?: (Paginator::resolveCurrentPage() ?: 1);
        $items = $items instanceof Collection ? $items : Collection::make($items);
        $pagePath = "";
        $url = parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
        if(isset($_GET["from_date"]) && isset($_GET["to_date"])){
           $fullUrl = $url."?from_date=".$_GET["from_date"]."&to_date=".$_GET["to_date"];
           $pagePath = ['path' => $fullUrl];
        } else {
            $pagePath = ['path' => $url];
        }
        return new LengthAwarePaginator($items->forPage($page, $perPage), $items->count(), $perPage, $page, $pagePath, $options);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
