<?php

namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class VehicleController extends Controller
{
     public function country(){
         $domain_address_code = session('domain_address_setup');
         if(empty($domain_address_code)){
            $domain_address_code='JO';
         }
         $sqlcountry=DB::select("SELECT value,GROUP_CONCAT(scope_id SEPARATOR ',') AS `store_id`  FROM `core_config_data` WHERE path='general/country/destinations' AND value='$domain_address_code' group by value order by config_id asc"); 
         $countryy  = array();
         $s1 = 0;
         foreach($sqlcountry as $country){
            $explode1=explode(',',$country->store_id);
            $countrycode=$country->value;
            $store_id1=isset($explode1[0]) ? $explode1[0] :'';
            $stores1=DB::select("SELECT code FROM store WHERE store_id='$store_id1'");
            $codeurl=isset($stores1[0]->code) ? $stores1[0]->code : '';
            $msp_tfa_country_codes=DB::select("SELECT name FROM msp_tfa_country_codes WHERE code='$countrycode'");
            $countryname=isset($msp_tfa_country_codes[0]->name) ? $msp_tfa_country_codes[0]->name : '';
            $countryy[$s1]['country_name'] = $countryname;
            $countryy[$s1]['country_code'] = $countrycode;
            $s1++;
        }
        return $countryy;
    }
    public function index()
    {
         $countryy = $this->country();
         $country_code = $countryy[0]['country_code'];
         $vehicle = DB::table('vehicle')->join('store_group', 'store_group.group_id', '=', 'vehicle.store_id')->where('vehicle.status', '=', '1')->where('vehicle.country_code','=',$country_code)->orderBy('vehicle.id','DESC')->paginate(10);
         $store = DB::table('store_group')->where('group_id','!=','0')->get();
    //     $type='Grocery';
    //   $categorytesting = DB::table('sales_order_item')->leftJoin('sales_stock', 'sales_stock.order_id', '=', 'sales_order_item.order_id')->leftJoin('add_to_bag', 'add_to_bag.product_id', '=', 'sales_order_item.product_id')->leftJoin('catalog_product_entity_varchar', 'sales_order_item.product_id', '=', 'catalog_product_entity_varchar.entity_id') ->leftJoin('catalog_product_entity_media_gallery_value_to_entity', 'sales_order_item.product_id', '=', 'catalog_product_entity_media_gallery_value_to_entity.entity_id')->leftJoin('catalog_product_entity_media_gallery', 'catalog_product_entity_media_gallery_value_to_entity.value_id', '=', 'catalog_product_entity_media_gallery.value_id')
    //   ->join('catalog_category_product', function ($join) {
    //         $join->on('sales_order_item.product_id', '=', 'catalog_category_product.product_id');
                 
    //     })
    //     ->join('catalog_category_flat_store_1', function ($join) {
    //         $join->on('catalog_category_product.category_id', '=', 'catalog_category_flat_store_1.entity_id');
                 
    //     })
    //   ->select('sales_order_item.*', 'catalog_product_entity_media_gallery.value as product_image','sales_stock.qty as outofstockqty','add_to_bag.qty as inbagqty','catalog_product_entity_varchar.value as item_barcode','catalog_category_flat_store_1.name as category_name')->where('product_type','=','simple')->where('sales_order_item.delivery_from','=',$type)->where('catalog_product_entity_varchar.attribute_id','=','188')->where('sales_order_item.order_id','=','33')->groupBY('sales_order_item.product_id','sales_order_item.item_id')->orderBy('catalog_category_flat_store_1.name', 'ASC')->get(); 
    //   echo $categorytesting;  exit;
    // echo $s="SELECT e.entity_id AS product_id , e.type_id AS product_type, ( SELECT GROUP_CONCAT(DISTINCT(cv.value)) FROM catalog_category_entity_varchar AS cv, catalog_category_product AS at_category_id WHERE at_category_id.category_id = cv.entity_id AND (at_category_id.product_id = e.entity_id) AND cv.attribute_id = 45 ) AS category_name FROM catalog_product_entity AS e ORDER BY `entity_id` ASC";
         return view('vehicle/index', ['vehicle' => $vehicle
      ,'country'=>$countryy, 'store'=>$store]);
    }

    /**
     * Display a user profile.
     *
     * @param
     * @return Response
     */
    public function profile()
    {
        $user = $this->VehicleRepository->findWithoutFail(auth()->id());
        unset($user->password);
        $customFields = false;
        $role = $this->roleRepository->pluck('name', 'name');
        $rolesSelected = $user->getRoleNames()->toArray();
        $customFieldsValues = $user->customFieldsValues()->with('customField')->get();
        //dd($customFieldsValues);
        $hasCustomField = in_array($this->VehicleRepository->model(), setting('custom_field_models', []));
        if ($hasCustomField) {
            $customFields = $this->customFieldRepository->findByField('custom_field_model', $this->VehicleRepository->model());
            $customFields = generateCustomField($customFields, $customFieldsValues);
        }
        return view('settings.users.profile', compact(['user', 'role', 'rolesSelected', 'customFields', 'customFieldsValues']));
    }

    /**
     * Show the form for creating a new User.
     *
     * @return Response
     */
    public function create()
    {
        // $store = DB::table('store_group')->where('group_id','!=','0')->get();
        $countryy = $this->country();
        // return view('vehicle.create',['store'=>$store, 'country'=>$countryy]);
        return view('vehicle.create',['country'=>$countryy]);
        
    }

    /**
     * Store a newly created User in storage.
     *
     * @param CreateUserRequest $request
     *
     * @return Response
     */
    public function store(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
           $date_added	= date('Y-m-d H:i:s');
           $implodestoreid = implode(', ', $request->store_id);
      DB::table('vehicle')->insert(['vehicle_name'=>$request->vehicle_name,'store_id'=>$implodestoreid,'country_code'=>$request->country_code,'vehicle_no'=>$request->vehicle_no,'vehicle_model'=>$request->vehicle_model,'vehicle_engine_no'=>$request->vehicle_engine_no,'vehicle_chasis_no'=>$request->vehicle_chasis_no,'vehicle_description'=>$request->vehicle_description,'created'=>$date_added]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('vehicle.index'));
    }

    /**
     * Display the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        $user = $this->VehicleRepository->findWithoutFail($id);

        if (empty($user)) {
            Flash::error('User not found');

            return redirect(route('vehicle.index'));
        }

        return view('settings.users.profile')->with('user', $user);
    }

    public function loginAsUser(Request $request, $id)
    {
        $user = $this->VehicleRepository->findWithoutFail($id);
        if (empty($user)) {
            Flash::error('User not found');
            return redirect(route('users.index'));
        }
        auth()->login($user, true);
        if (auth()->id() !== $user->id) {
            Flash::error('User not found');
        }
        return redirect(route('users.profile'));
    }

    /**
     * Show the form for editing the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('vehicle.index'));
        }
       
	
	    $countryy = $this->country();
        $country_code = $countryy[0]['country_code'];
	    $result = array();		
		$result['message'] = array();
		
		$editvehicle = DB::table('vehicle')->where('country_code','=',$country_code)->where('id','=',$id)->get();
		$institution_id=isset($editvehicle[0]->store_id) ? $editvehicle[0]->store_id : '';	
		$result['editvehicle'] = $editvehicle;		
		$store = DB::table('store_group')->where('group_id','!=','0')->get();
		$result['store'] = $store;
		$editlocations = DB::table('vehicle')->where('country_code','=',$country_code)->where('id','=',$id)->get();
        if (empty($editvehicle)) {
            Flash::error('Vehicle not found');

            return redirect(route('vehicle.index'));
        }
        //return view('vehicle.edit')->with('vehicle', $editvehicle);
        
        return view("vehicle.edit",['editvehicle' => $editvehicle, 'editlocations' => $editlocations,'country' => $countryy])->with('result',$result);
        
    }

    /**
     * Update the specified User in storage.
     *
     * @param int $id
     * @param UpdateUserRequest $request
     *
     * @return Response
     */
    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }

        $vehicle = DB::table('vehicle')->where('id','=',$request->id)->get();
 $store = DB::table('store_group')->where('group_id','!=','0')->get();
        if (empty($vehicle)) {
            Flash::error('Vehicle not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
        $implodestoreid = implode(', ', $request->store_id);
       
		DB::table('vehicle')->where('id','=',$id)->update(['store_id'=>$implodestoreid,'country_code'=>$request->country_code,'vehicle_name'=>$request->vehicle_name,'vehicle_no'=>$request->vehicle_no,'vehicle_model'=>$request->vehicle_model,'vehicle_engine_no'=>$request->vehicle_engine_no,'vehicle_chasis_no'=>$request->vehicle_chasis_no,'status'=>$request->status,'vehicle_description'=>$request->vehicle_description,'modified'=>$last_modified]); 
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('Vehicle updated successfully.');

        return redirect()->back();

    }

    /**
     * Remove the specified User from storage.
     *
     * @param int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $vehicle=DB::table('vehicle')->where('id','=',$id)->get();
		
        if (empty($vehicle)) {
            Flash::error('Vehicle not found');

            return redirect(route('vehicle.index'));
        }

        DB::table('vehicle')->where('id','=',$id)->delete();

        Flash::success('Vehicle deleted successfully.');

        return redirect(route('vehicle.index'));
    }

    /**
     * Remove Media of User
     * @param Request $request
     */
    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
