<?php
namespace App\Http\Controllers;

use Flash;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Response;
use Prettus\Validator\Exceptions\ValidatorException;
use DB;

class VehiclemanageController extends Controller
{
    public function index()
    {
         $domain_address_code = session('domain_address_setup');
         $getpickup = DB::table('vehicle_mange')->join('vehicle', 'vehicle.id','=','vehicle_mange.vehicle_id')->where('vehicle.country_code','=',$domain_address_code)->select('vehicle_mange.*')->orderBy('vehicle_mange.id','DESC')->paginate(10);
        
 
         return view('vehiclemanage/index', ['getpickupuser' => $getpickup
      ]);
    }

    /**
     * Show the form for creating a new User.
     *
     * @return Response
     */
    public function create()
    {
           $domain_address_code = session('domain_address_setup');
           $store = DB::table('vehicle')->where('country_code','=',$domain_address_code)->get();
            $getpickup = DB::table('vehicle_mange')->join('vehicle', 'vehicle.id','=','vehicle_mange.vehicle_id')->where('vehicle.country_code','=',$domain_address_code)->orderBy('vehicle_mange.id','DESC')->select('vehicle_mange.*')->get();
         for($j=0;$j<count($getpickup);$j++){
                 $category=explode(',',$getpickup[$j]->vehicle_id );
                                   $cat=[];
                               for($i=0;$i<count($category);$i++){
                                    $vehc=DB::table('vehicle')->where('id',$category[$i])->first();
                                   $cat[]=$vehc->vehicle_name;
                               }
                               $vechim=implode(',',$cat);
                              $getpickup[$j]->description=$getpickup[$j]->reason;
                               $getpickup[$j]->title=$vechim;
         }
        
        return view('vehiclemanage.create',['store'=>$store,'getpickupuser' => $getpickup]);
        
    }

    /**
     * Store a newly created User in storage.
     *
     * @param CreateUserRequest $request
     *
     * @return Response
     */
    public function store(Request $request)
    {
    
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        try {
        $date_added	= date('Y-m-d H:i:s');
        $category=implode(',',$request->vehicle_name);
        $date=date_create($request->date);
       $daten=date_format($date,"Y/m/d");
       if($request->id){
           	DB::table('vehicle_mange')->where('id','=',$request->id)->update(['date'=>$request->date,'vehicle_id'=>$category,'reason'=>$request->reason]);
       }else{
      DB::table('vehicle_mange')->insert(['date'=>$daten,'vehicle_id'=>$category,'reason'=>$request->reason,'created'=>$date_added]);
       }
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }

        Flash::success('saved successfully.');

        return redirect(route('vehiclemanage.create'));
    }

    /**
     * Display the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function show($id)
    {
        $user = $this->VehicleRepository->findWithoutFail($id);

        if (empty($user)) {
            Flash::error('User not found');

            return redirect(route('category.index'));
        }

        return view('settings.users.profile')->with('user', $user);
    }

    public function loginAsUser(Request $request, $id)
    {
        $user = $this->VehicleRepository->findWithoutFail($id);
        if (empty($user)) {
            Flash::error('User not found');
            return redirect(route('users.index'));
        }
        auth()->login($user, true);
        if (auth()->id() !== $user->id) {
            Flash::error('User not found');
        }
        return redirect(route('users.profile'));
    }

    /**
     * Show the form for editing the specified User.
     *
     * @param int $id
     *
     * @return Response
     */
    public function edit($id)
    {
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('labels.index'));
        }
       
	    $result = array();		
		$result['message'] = array();
		
		$editlabel = DB::table('vehicle_mange')->where('id','=',$id)->get();
		  $store = DB::table('vehicle')->get();
		$result['editlabel'] = $editlabel;		
	
        
        return view("vehiclemanage.edit",['editlabel' => $editlabel])->with('result',$store);
        
    }

    /**
     * Update the specified User in storage.
     *
     * @param int $id
     * @param UpdateUserRequest $request
     *
     * @return Response
     */
    public function update($id,Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.profile'));
        }
        if (!auth()->user()->hasRole('admin') && $id != auth()->id()) {
            Flash::error('Permission denied');
            return redirect(route('users.profile'));
        }

        $lang_translation = DB::table('mobile_category')->where('id','=',$request->id)->get();
        if (empty($lang_translation)) {
            Flash::error('Label not found');
            return redirect(route('users.profile'));
        }
        try {
        $last_modified=date('Y-m-d H:i:s');
		DB::table('mobile_category')->where('id','=',$id)->update(['date'=>$request->date,'vehicle_id'=>implode(',',$request->vehicle_name),'reason'=>$request->reason]);
        } catch (ValidatorException $e) {
            Flash::error($e->getMessage());
        }


        Flash::success('category updated successfully.');

        return redirect()->back();

    }

    /**
     * Remove the specified User from storage.
     *
     * @param int $id
     *
     * @return Response
     */
    public function destroy($id)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
            return redirect(route('users.index'));
        }
        
        $lang_translation=DB::table('vehicle_mange')->where('id','=',$id)->get();
		
        if (empty($lang_translation)) {
            Flash::error('not found');

            return redirect(route('vehiclemanage.create'));
        }

        DB::table('vehicle_mange')->where('id','=',$id)->delete();

        Flash::success('deleted successfully.');

       return redirect(route('vehiclemanage.create'));
    }

    /**
     * Remove Media of User
     * @param Request $request
     */
    public function removeMedia(Request $request)
    {
        if (env('APP_DEMO', false)) {
            Flash::warning('This is only demo app you can\'t change this section ');
        } else {
            if (auth()->user()->can('medias.delete')) {
                $input = $request->all();
                $user = $this->VehicleRepository->findWithoutFail($input['id']);
                try {
                    if ($user->hasMedia($input['collection'])) {
                        $user->getFirstMedia($input['collection'])->delete();
                    }
                } catch (\Exception $e) {
                    Log::error($e->getMessage());
                }
            }
        }
    }
}
