@extends('layouts.app')
@push('css_lib')
<!-- iCheck -->
<link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
<!-- select2 -->
<link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
{{--dropzone--}}
<link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
<style>
     #esearchcity{
        left:unset !important;
    }
    .alert.alert-danger{
        color: #a94442!important;
        background: #f2dede!important;
        border: 1px solid !important;
        padding: 10px 23px;
        margin-bottom: 10px;
        text-align: center;
    }
     .alert.alert-success{
        background: #dff2bf!important;
        color: #4f8a10!important;
        border: 1px solid !important;
        padding: 10px 23px;
        margin-bottom: 10px;
        text-align: center;
    }
</style>
@endpush
@section('title',trans('lang.locations_table'))
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('customers.index') !!}"><i class="fa fa-list mr-2"></i>Customers List</a>
        </li>
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('locations.create') !!}"><i class="fa fa-plus mr-2"></i>Add Help and support</a>-->
        <!--</li>-->
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-pencil mr-2"></i>View/Edit Customers Details</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{!! route('customers.addressedit') !!}?customer_id={{$customersavailableedit->entity_id}}"><i class="fa fa-pencil mr-2"></i>View/Edit Addresses</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
        <div class="container">
          <div class="row">
            <div class="col-sm-12 mb-5">
                <h3>Account Information</h3><hr>
                {!! Form::open(['route' => ['customers.update', $customersavailableedit->entity_id], 'method' => 'patch']) !!}
                    @inject('customers','\DB')
                    <?php 
                        $customersigninphone = $customers::table('customer_entity_varchar')->where('entity_id',$customersavailableedit->entity_id)->first();
                    ?>
                  <div class="form-group">
                    <label for="phoneNumber">Sign In Phone Number</label>
                    <input type="text" value="{{isset($customersigninphone->value)?$customersigninphone->value:""}}" name="sign_in_phone_number" class="form-control" id="phoneNumber">
                  </div>
                  <div class="form-group">
                    <label for="firstName">First Name <span style="color:red;">*</span></label>
                    <input type="text" required value="{{isset($customersavailableedit->firstname)? $customersavailableedit->firstname : ''}}" name="first_name" class="form-control" id="firstName">
                  </div>
                  <div class="form-group">
                    <label for="middleName">Middle Name</label>
                    <input type="text" value="{{isset($customersavailableedit->middlename)? $customersavailableedit->middlename : ''}}" name="middle_name" class="form-control" id="middleName">
                  </div>
                  <div class="form-group">
                    <label for="lastName">Last Name <span style="color:red;">*</span></label>
                    <input type="text" required value="{{isset($customersavailableedit->lastname)? $customersavailableedit->lastname : ''}}" name="last_name" class="form-control" id="lastName">
                  </div>
                  <div class="form-group">
                    <label for="email">Email <span style="color:red;">*</span></label>
                    <input type="email" required value="{{isset($customersavailableedit->email)? $customersavailableedit->email : ''}}" name="email" class="form-control" id="email">
                  </div>
                  <div class="form-group">
                    <label for="group">Group <span style="color:red;">*</span></label>
                    <select required class="form-control" name="group" id="group">
                       <?php 
                            $customergroup = $customers::table('customer_group')->get();
                        ?>
                          @foreach($customergroup as $customergroup1)    
                            <option @if($customergroup1->customer_group_id == $customersavailableedit->group_id) selected @endif value="{{$customergroup1->customer_group_id}}">{{$customergroup1->customer_group_code}}</option>
                          @endforeach
                    </select>
                  </div>
                  <button type="submit" name="update_customer" class="btn btn-primary">Update</button>
                {!! Form::close() !!}
            </div>
          </div>
          </div>
        </div>
        <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->

<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush