@extends('layouts.app')
@push('css_lib')
<!-- iCheck -->
<link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
<!-- select2 -->
<link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
{{--dropzone--}}
<link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',trans('lang.deliveryslot_table'))
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('delivery_slot.index') !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.deliveryslot_table')}}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{!! route('delivery_slot.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.deliveryslot_table')}}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-pencil mr-2"></i>{{trans('lang.deliveryslot_edit')}}</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => ['delivery_slot.update', $editdeliveryslot[0]->id], 'method' => 'patch']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
     <div class="form-group row col-6">
          {!! Form::label('country', 'Country Name', ['class' => 'col-5 control-label text-right']) !!}
          <div class="col-7">
          <select class="form-control" required="true" onchange="storeList(this.value , '')" name="country_code" id="country">
            @if(count($country)>0)
            @foreach ($country as $key=>$conty)
            <option value="{{$conty['country_code']}}" @if($editdeliveryslot[0]->country_code==$conty['country_code'])
                    selected  @endif>{{$conty['country_name']}}</option>  
            @endforeach
            @endif
                </select>  
            </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('store_id', trans("lang.store_name"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            <select class="form-control" required="true" name="store_id" id="store_id">
                <option value="">Please Select Country</option>
            </select>  
        </div>
    </div>
                                          
  <div class="form-group row col-6">
        {!! Form::label('interval_date', trans("lang.interval_date"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::number('interval_date', $editdeliveryslot[0]->interval_date,  ['class' => 'form-control','placeholder'=>  trans("lang.interval_date"), "required"=>"true"]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.interval_date") }}
            </div>
        </div>
    </div>
     <div class="form-group row col-6">
        {!! Form::label('status', trans("lang.status"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
             <select class="form-control" required="true" name="status" id="status">
                                        <option value="1" @if($result['editdeliveryslot'][0]->status=="1")
                                              selected  @endif>Active</option>  
                                        <option value="0" @if($result['editdeliveryslot'][0]->status=="0")
                                              selected  @endif>InActive</option> 
                                        </select>
            <div class="form-text text-muted">
                {{ trans("lang.status_help") }}
            </div>
        </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('interval_date',"Intervel End Date", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::number('interval_end_date', $editdeliveryslot[0]->interval_end_date,  ['class' => 'form-control','placeholder'=>  trans("lang.interval_date"), "required"=>"true"]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.interval_date") }}
            </div>
        </div>
    </div>
</div>
</div>
<div class="container input_fields_wrap">
    <div class="col-lg-12" style="text-align: right;margin: 10px;"><button class="add_field_button" style="background: #007bff;border: none;padding: 10px;color: #fff;">Add delivery slot</button></div>
    <?php foreach($result['delivery_slot1'] as $delivery_slot){?>
            <div class="row">
                <div class="col-lg-4">
                    <input type="hidden" name="slot_id[]" value="<?php echo $delivery_slot->id;?>">
                    <div class="form-group"><label for="start_time" class="control-label text-right">Start Time</label><div>
<select name="start_time[]" id="start_time" class="form-control">
<?php 
 $start = strtotime('00:00');
 $end   = strtotime('24:00');
 for ($i=$start; $i<=$end; $i = $i + 30*60){?>
   <option value="<?php echo date('H:i',$i);?>" <?php if($delivery_slot->start_time==date('H:i',$i)){?>selected<?php }?>><?php echo date('g:i A',$i);?></option>
 <?php }
?>   
     </select>
     </div>
     </div>
</div>
<div class="col-lg-4">
<div class="form-group"><label for="end_time" class="control-label text-right">End Time</label><div class=""><select name="end_time[]" id="end_time" class="form-control">
<?php 
 $start = strtotime('00:00');
 $end   = strtotime('24:00');
 for ($i=$start; $i<=$end; $i = $i + 30*60){?>
   <option value="<?php echo date('H:i',$i);?>" <?php if($delivery_slot->end_time==date('H:i',$i)){?>selected<?php }?>><?php echo date('g:i A',$i);?></option>
<?php }?>   
     </select>
     </div>
     </div>
                    </div>
                    <div class="col-lg-3">
                    <div class="form-group">
                        <label for="end_time" class="control-label text-right">No of delivery</label>
                        <input type="number" class="form-control" id="no_of_delivery" name="no_of_delivery[]" placeholder="No of delivery" value="<?php echo $delivery_slot->no_of_delivery;?>">
                    </div>
                    </div>
            </div>
            <?php }?>
        </div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}} {{trans('lang.deliveryslot')}}</button>
    <a href="{!! route('delivery_slot.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="https://code.jquery.com/jquery-1.10.1.min.js">
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
<script>
$(document).ready(function() {
	var max_fields      = 10; //maximum input boxes allowed
	var wrapper   		= $(".input_fields_wrap"); //Fields wrapper
	var add_button      = $(".add_field_button"); //Add button ID
	
	var x = 1; //initlal text box count
	$(add_button).click(function(e){ //on add input button click
		e.preventDefault();
		if(x < max_fields){ //max input box allowed
			x++; //text box increment
			$(wrapper).append('<div class="row"><div class="col-lg-4"><input type="hidden" name="slot_id[]" value="0"><div class="form-group"><label for="start_time" class="control-label text-right">Start Time</label><div class=""><select name="start_time[]" id="start_time" class="form-control"><?php $start = strtotime('00:00');$end= strtotime('24:00');for ($i=$start; $i<=$end; $i = $i + 30*60){echo '<option value='.date('H:i',$i).'>'.date('g:i A',$i).'</option>';}?></select></div></div></div><div class="col-lg-4"><div class="form-group"><label for="end_time" class="control-label text-right">End Time</label><div class=""><select name="end_time[]" id="end_time" class="form-control"><?php $start = strtotime('00:00');$end   = strtotime('24:00');for ($i=$start; $i<=$end; $i = $i + 30*60){echo '<option value='.date('H:i',$i).'>'.date('g:i A',$i).'</option>';}?></select></div></div></div><div class="col-lg-3"><div class="form-group"><label for="end_time" class="control-label text-right">No of delivery</label><input type="number" class="form-control" id="no_of_delivery" name="no_of_delivery[]" placeholder="No of delivery"></div></div><div class="col-lg-1" style="margin-top: 40px;"><a href="#" class="remove_field">Remove</a></div></div>'); //add input box
		}
	});
	
	$(wrapper).on("click",".remove_field", function(e){ //user click on remove text
		e.preventDefault(); $(this).closest('.row').remove(); x--;
	})
});	
// Store value get
$(document).ready(function(){ 
    var country = $('#country').val();
    var storeId = "<?= $editdeliveryslot[0]->store_id ?>";
    storeList(country, storeId);
});
</script>
@endpush