@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">{{trans('lang.deliveryslot_plural')}}<small class="ml-3 mr-3">|</small><small>{{trans('lang.deliveryslot_desc')}}</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('delivery_slot.index') !!}">{{trans('lang.deliveryslot_plural')}}</a>
          </li>
          <li class="breadcrumb-item active">{{trans('lang.deliveryslot_table')}}</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.deliveryslot_table')}}</a>
        </li>
        @can('delivery_slot.create')
        <li class="nav-item">
          <a class="nav-link" href="{!! route('delivery_slot.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.deliveryslot_create')}}</a>
        </li>
        @endcan
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Country</th>
                                  <th>Store Name</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($deliveryslot)>0)
                    @foreach ($deliveryslot as $key=>$deliveryslot1)
                              <tr>
                                  <th scope="row">{{ $deliveryslot1->id }}</th>
                                  <td>
                                      @if(count($country)>0)
                                      @foreach ($country as $key=>$country1) 
                                      @if($deliveryslot1->country_code==$country1['country_code'])
                                            {{$country1['country_name']}}
                                      @endif
                                      @endforeach
                                      @endif
                                  </td>
                                   <td>
                                       @if(count($store)>0)
                                         @foreach ($store as $key=>$store1) 
                                         @if($deliveryslot1->store_id==$store1->group_id)
                                 {{$store1->name}}
                                  @endif
                                  @endforeach
                                  @endif
                                 </td>
                                  <td><?php if(empty($deliveryslot1->modified)){?>
                                      <p>{{ $deliveryslot1->created }}</p>
                                  <?php } else {?><p>{{ $deliveryslot1->modified }}</p><?php }?></td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="delivery_slot/edit/{{ $deliveryslot1->id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="delivery_slot/destroy/{{ $deliveryslot1->id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$deliveryslot->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection