@extends('layouts.app')
@push('css_lib')
<!-- iCheck -->
<link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
<!-- select2 -->
<link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
{{--dropzone--}}
<link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',"Category")
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('vehiclemanage.index') !!}"><i class="fa fa-list mr-2"></i>Vehicle Manage</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{!! route('vehiclemanage.create') !!}"><i class="fa fa-plus mr-2"></i>Add</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-pencil mr-2"></i>Edit </a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => ['vehiclemanage.update', $editlabel[0]->id], 'method' => 'patch']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <div class="form-group row col-12">
        {!! Form::label('date',"Date", ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
            {!! Form::text('date',$editlabel[0]->date,  ['class' => 'form-control','placeholder'=> "Date"]) !!}
            <div class="form-text text-muted">
                Enter Title
            </div>
        </div>
    </div>
<div class="form-group row col-12">
        {!! Form::label('Vehicle Name','Vehicle Name', ['class' => 'col-3 control-label']) !!}
            <div class="col-7">
        <select class="form-control" name="vehicle_name[]" id="vehicle_name" multiple required>
        @if(count($store)>0)
        @foreach ($store as $key=>$cate)
        <?php $explode=explode(',',$editlabel[0]->vehicle_id);?>
        <option value="{{$cate->id}}" <?php if(in_array($cate->id,$explode)){?>selected<?php }?>>{{$cate->vehicle_name}}</option>  
        @endforeach
        @endif
        </select>   
        </div>
    </div>
  <div class="form-group row col-12">
        {!! Form::label('Reason', 'Reason', ['class' => 'col-3 control-label']) !!}
        <div class="col-7">
           {!! Form::textarea('reason', $editlabel[0]->reason,  ['class' => 'form-control','placeholder'=>"Title"  ]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.status") }}
            </div>
        </div>
    </div>

</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}} {{trans('lang.labels')}}</button>
    <a href="{!! route('category.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush