@extends('layouts.app')
@push('css_lib')
<style>
#searchcity{left:unset !important;}
    .gmnoprint .gm-style-mtc{
        top:35px !important;
    }
    button.gm-control-active.gm-fullscreen-control{
        top:35px !important;
    }
</style>
  <!-- iCheck -->
  <link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
  <!-- select2 -->
  <link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
  {{--dropzone--}}
  <link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',trans('lang.locations_table'))
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('locations.index') !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.locations_table')}}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.locations_table')}}</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => 'locations.store']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
          <div class="form-group row col-6">
        {!! Form::label('store_name', trans("lang.store_name"), ['class' => 'col-5 control-label text-right']) !!}
            <div class="col-7">
            <select class="form-control" name="store_id" id="store_id">
            @if(count($store)>0)
            @foreach ($store as $key=>$store1)
            <option value="{{$store1->group_id}}">{{$store1->name}}</option>  
            @endforeach
            @endif
            </select>   
            </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('name', trans("lang.locations_name"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('name', null,  ['id' => 'searchcity','class' => 'form-control','placeholder'=>  trans("lang.locations_name_placeholder")]) !!}
            <div class="mappadding">
             <div class="map" id="map" style="width: 100%; height: 300px;"></div>
 <div class="form_area">
     <input type="hidden" name="lat" id="lat" value="25.4002503">
     <input type="hidden" name="lng" id="lng" value="55.4335149">
 </div>
 </div>
            <div class="form-text text-muted">
                {{ trans("lang.locations_name_help") }}
            </div>
        </div>
    </div>

  <div class="form-group row col-6">
        {!! Form::label('status', trans("lang.status"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            <select class="form-control" name="status" id="status">
            <option value="1">Active</option>  
            <option value="0">InActive</option> 
            </select>
            <div class="form-text text-muted">
                {{ trans("lang.status") }}
            </div>
        </div>
    </div>
</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}} {{trans('lang.locations')}}</button>
    <a href="{!! route('locations.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!--map-->
<script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBVudUxxOYrnic3_ngLGufKV2Dic1Qxu98&sensor=false&libraries=places"></script>
<script>
function initialize() {
   var latlng = new google.maps.LatLng(25.4002503,55.4335149);
    var map = new google.maps.Map(document.getElementById('map'), {
      center: latlng,
      zoom: 15
    });
    var marker = new google.maps.Marker({
      map: map,
      position: latlng,
      draggable: true,
      anchorPoint: new google.maps.Point(0, -29)
   });
    var input = document.getElementById('searchcity');
    map.controls[google.maps.ControlPosition.TOP_LEFT].push(input);
    var geocoder = new google.maps.Geocoder();
    var autocomplete = new google.maps.places.Autocomplete(input);
    autocomplete.bindTo('bounds', map);
    var infowindow = new google.maps.InfoWindow();   
    autocomplete.addListener('place_changed', function() {
        infowindow.close();
        marker.setVisible(false);
        var place = autocomplete.getPlace();
        console.log(place);
        if (!place.geometry) {
            window.alert("Autocomplete's returned place contains no geometry");
            return;
        }
  
        // If the place has a geometry, then present it on a map.
        if (place.geometry.viewport) {
            map.fitBounds(place.geometry.viewport);
        } else {
            map.setCenter(place.geometry.location);
            map.setZoom(17);
        }
       
        marker.setPosition(place.geometry.location);
        marker.setVisible(true);          
    
        bindDataToForm(place.formatted_address,place.geometry.location.lat(),place.geometry.location.lng());
        infowindow.setContent(place.formatted_address);
        infowindow.open(map, marker);
       
    });
    // this function will work on marker move event into map 
    google.maps.event.addListener(marker, 'dragend', function() {
        geocoder.geocode({'latLng': marker.getPosition()}, function(results, status) {
        if (status == google.maps.GeocoderStatus.OK) {
          if (results[0]) {        
              bindDataToForm(results[0].formatted_address,marker.getPosition().lat(),marker.getPosition().lng());
              infowindow.setContent(results[0].formatted_address);
              infowindow.open(map, marker);
          }
        }
        });
    });
}
function bindDataToForm(address,lat,lng){
    
  document.getElementById('searchcity').value = address;
   document.getElementById('lat').value = lat;
   document.getElementById('lng').value = lng;
}
google.maps.event.addDomListener(window, 'load', initialize);
</script>
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush