@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Help and support<small class="ml-3 mr-3">|</small><small>Help and support</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('helpandsupport.index') !!}">Help and support</a>
          </li>
          <li class="breadcrumb-item active">Help and support</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>Help and support</a>
        </li>
        @can('helpandsupport.create')
        <li class="nav-item">
          <a class="nav-link" href="{!! route('helpandsupport.create') !!}"><i class="fa fa-plus mr-2"></i>Add Help and support</a>
        </li>
        @endcan
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Address</th>
                                  <th>Email</th>
                                   <th>Phone Number</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($helpandsupport)>0)
                    @foreach ($helpandsupport as $key=>$loc)
                              <tr>
                                  <th scope="row">{{ $loc->id }}</th>
                                <td>
                                    <!--{{  $loc->address }}-->
                                {!! str_replace('_', ' ', $loc->address) !!}
                                </td>
                                  <td>{{ $loc->email }}</td>
                                   <td>{{ $loc->mobile_no }}</td>
                                  <td>
                                    @if($loc->status=="1")  
                                     Active
                                      @else
                                       InActive 
                                      @endif
                                      </td>
                                  <td><?php if(empty($loc->modified)){?>
                                      <p>{{ $loc->created }}</p>
                                  <?php } else {?><p>{{ $loc->modified }}</p><?php }?></td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="helpandsupport/edit/{{ $loc->id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="helpandsupport/destroy/{{ $loc->id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$helpandsupport->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection