@extends('layouts.app')
@push('css_lib')
<!-- iCheck -->
<link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
<!-- select2 -->
<link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
{{--dropzone--}}
<link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',trans('lang.labeldesc_table'))
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('label_description.index') !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.labeldesc_table')}}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{!! route('label_description.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.labeldesc_create')}}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-pencil mr-2"></i>{{trans('lang.labeldesc_edit')}}</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => ['label_description.update', $editlabeldesc[0]->id], 'method' => 'patch']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
    <div class="form-group row col-6">
        {!! Form::label('description_en', trans("lang.description_en"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('description_en',$editlabeldesc[0]->description_en,  ['class' => 'form-control','placeholder'=>  trans("lang.description_en_placeholder"),"required"=>"true"]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.description_en_help") }}
            </div>
        </div>
    </div>

    <div class="form-group row col-6">
        {!! Form::label('description_ar', trans("lang.description_ar"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('description_ar',$editlabeldesc[0]->description_ar,  ['class' => 'form-control','placeholder'=>  trans("lang.description_ar_placeholder"),"required"=>"true"]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.description_ar_help") }}
            </div>
        </div>
    </div>

 <div class="form-group row col-6">
        {!! Form::label('status', trans("lang.status"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
             <select class="form-control" required="true" name="status" id="status">
                                        <option value="1" @if($result['editlabeldesc'][0]->status=="1")
                                              selected  @endif>Active</option>  
                                        <option value="0" @if($result['editlabeldesc'][0]->status=="0")
                                              selected  @endif>InActive</option> 
                                        </select>
            <div class="form-text text-muted">
                {{ trans("lang.status") }}
            </div>
        </div>
    </div>

</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}} {{trans('lang.labeldesc')}}</button>
    <a href="{!! route('label_description.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush