@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">{{trans('lang.labeldesc_plural')}}<small class="ml-3 mr-3">|</small><small>{{trans('lang.labeldesc_desc')}}</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('label_description.index') !!}">{{trans('lang.labeldesc_plural')}}</a>
          </li>
          <li class="breadcrumb-item active">{{trans('lang.labeldesc_table')}}</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.labeldesc_table')}}</a>
        </li>
        @can('vehicle.create')
        <li class="nav-item">
          <a class="nav-link" href="{!! route('label_description.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.labeldesc_create')}}</a>
        </li>
        @endcan
        <!--@can('vehicle.store')-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('vehicle.store') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.vehicle_store')}}</a>-->
        <!--</li>-->
        <!--@endcan-->
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>English Desc</th>
                                  <th>arabic Desc</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($label_description)>0)
                    @foreach ($label_description as $key=>$desc)
                              <tr>
                                  <th scope="row">{{ $desc->id }}</th>
                                  <td>{{ $desc->description_en }}</td>
                                  <td>{{ $desc->description_ar }}</td>
                                 
                                  <td><?php if(empty($desc->modified)){?>
                                      <p>{{ $desc->created }}</p>
                                  <?php } else {?><p>{{ $desc->modified }}</p><?php }?></td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="label_description/edit/{{ $desc->id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="label_description/destroy/{{ $desc->id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$label_description->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection