<!DOCTYPE html>
<html lang="{{setting('language','en')}}" dir="ltr">
<head>
    <meta charset="UTF-8">
    <title>{{setting('app_name')}} | {{setting('app_short_description')}}</title>
    <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
    <link rel="icon" type="image/png" href="{{$app_logo}}"/>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{asset('plugins/font-awesome/css/font-awesome.min.css')}}">

    <!-- Ionicons -->
{{--<link href="https://unpkg.com/ionicons@4.1.2/dist/css/ionicons.min.css" rel="stylesheet">--}}
{{--<!-- iCheck -->--}}
{{--<link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">--}}
{{--<!-- select2 -->--}}
{{--<link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">--}}
<!-- Morris chart -->
{{--<link rel="stylesheet" href="{{asset('plugins/morris/morris.css')}}">--}}
<!-- jvectormap -->
{{--<link rel="stylesheet" href="{{asset('plugins/jvectormap/jquery-jvectormap-1.2.2.css')}}">--}}
<!-- Date Picker -->
<link rel="stylesheet" href="{{asset('plugins/bootstrap-datepicker/css/bootstrap-datepicker3.min.css')}}">
<!-- Daterange picker -->
{{--<link rel="stylesheet" href="{{asset('plugins/daterangepicker/daterangepicker-bs3.css')}}">--}}
{{--<!-- bootstrap wysihtml5 - text editor -->--}}
{{--<link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">--}}

@stack('css_lib')
<!-- Theme style -->
    <link rel="stylesheet" href="{{asset('dist/css/adminlte.css')}}">
    <link rel="stylesheet" href="{{asset('plugins/bootstrap-sweetalert/sweetalert.css')}}">
    {{--<!-- Bootstrap -->--}}
    {{--<link rel="stylesheet" href="{{asset('plugins/bootstrap/css/bootstrap.min.css')}}">--}}

    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,600" rel="stylesheet">
    <link rel="stylesheet" href="{{asset('css/custom.css')}}">
    <link rel="stylesheet" href="{{asset('css/'.setting("theme_color","primary").'.css')}}">
    @yield('css_custom')
    <style>
        .bellicon {
            width:30px; 
            height:30px;
            position: relative;
        }
        .belltxt{
            background-color:antiquewhite;
            font-size:xx-small;
            position: absolute;
            padding:2px;
            top: 6px;
            left: 12px;
            border-radius: 25px;
        }
    </style>
</head>

<body style="height: 100%; background-color: #f9f9f9;" class="hold-transition sidebar-mini {{setting('theme_color')}}">
@if(auth()->check())
    <div class="wrapper">
        <!-- Main Header -->
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand {{setting('fixed_header','')}} {{setting('nav_color','navbar-light bg-white')}} border-bottom">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#"><i class="fa fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="{{url('dashboard')}}" class="nav-link">{{trans('lang.dashboard')}}</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                @if(env('APP_CONSTRUCTION',false))
                    <li class="nav-item">
                        <a class="nav-link text-danger" href="#"><i class="fa fa-info-circle"></i>
                            {{env('APP_CONSTRUCTION','') }}</a>
                    </li>
                @endif
                <!--@can('carts.index')-->
                <!--    <li class="nav-item">-->
                <!--        <a class="nav-link {{ Request::is('carts*') ? 'active' : '' }}" href="{!! route('carts.index') !!}"><i class="fa fa-shopping-cart"></i></a>-->
                <!--    </li>-->
                <!--@endcan-->
                @can('notifications.index')
                    <li class="nav-item">
                        <div class="bellicon">
                            <a id="notification" class="nav-link {{ Request::is('notifications*') ? 'active' : '' }}" href="{!! route('notifications.index') !!}"><i class="fa fa-bell"></i></a>
                            <div class="belltxt" id="belltxtid">0</div>
                        </div>
                    </li>
                @endcan
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        <img src="{{auth()->user()->getFirstMediaUrl('avatar','icon')}}" class="brand-image mx-2 img-circle elevation-2" alt="User Image">
                        <i class="fa fa fa-angle-down"></i> {!! auth()->user()->name !!}

                    </a>
                    <div class="dropdown-menu dropdown-menu-right">
                        <a href="{{route('users.profile')}}" class="dropdown-item"> <i class="fa fa-user mr-2"></i> {{trans('lang.user_profile')}} </a>
                        <div class="dropdown-divider"></div>
                        <a href="{!! url('/logout') !!}" class="dropdown-item" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                            <i class="fa fa-envelope mr-2"></i> {{__('auth.logout')}}
                        </a>
                        <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                            {{ csrf_field() }}
                        </form>
                    </div>
                </li>
            </ul>
        </nav>

        <!-- Left side column. contains the logo and sidebar -->
    @include('layouts.sidebar')
    <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            @yield('content')
        </div>

        <!-- Main Footer -->
        <footer class="main-footer {{setting('fixed_footer','')}}">
            <div class="float-right d-none d-sm-block">
                <b>Version</b> {{implode('.',str_split(substr(config('installer.currentVersion','v100'),1,3)))}}
            </div>
            <strong>Copyright © {{date('Y')}} <a href="{{url('/')}}">{{setting('app_name')}}</a>.</strong> All rights reserved.
        </footer>

    </div>
@else
    <nav class="nmain-header navbar navbar-expand {{setting('nav_color','navbar-light bg-white')}} border-bottom">
        <div class="container">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="{!! url('/') !!}">{{setting('app_name')}}</a>
                </li>
                @include('layouts.menu',['icons'=>false])
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown">
                    <a class="nav-link" data-toggle="dropdown" href="#">
                        {!! Auth::user()->name !!}
                    </a>
                    <div class="dropdown-menu dropdown-menu-right">
                        <a href="{{route('users.profile')}}" class="dropdown-item"> <i class="fa fa-user mr-2"></i> Profile </a>
                        <div class="dropdown-divider"></div>
                        <a href="{!! url('/logout') !!}" class="dropdown-item" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
                            <i class="fa fa-envelope mr-2"></i> {{__('auth.logout')}}
                        </a>
                        <form id="logout-form" action="{{ url('/logout') }}" method="POST" style="display: none;">
                            {{ csrf_field() }}
                        </form>
                    </div>
                </li>
            </ul>
        </div>
    </nav>

    <div id="page-content-wrapper">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    @yield('content')
                </div>
            </div>
            <!-- Main Footer -->
            <footer class="{{setting('fixed_footer','')}}">
                <div class="float-right d-none d-sm-block">
                    <b>Version</b> {{implode('.',str_split(substr(config('installer.currentVersion','v100'),1,3)))}}
                </div>
                <strong>Copyright © {{date('Y')}} <a href="{{url('/')}}">{{setting('app_name')}}</a>.</strong> All rights reserved.
            </footer>
        </div>
    </div>

    @endrole


    <!-- jQuery -->
    <script src="{{asset('plugins/jquery/jquery.min.js')}}"></script>
    <!-- jQuery UI 1.11.4 -->
    {{--<script src="{{asset('https://code.jquery.com/ui/1.12.1/jquery-ui.min.js')}}"></script>--}}
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    {{--<script>--}}
    {{--$.widget.bridge('uibutton', $.ui.button)--}}
    {{--</script>--}}
    <!-- Bootstrap 4 -->
    <script src="{{asset('plugins/bootstrap/js/bootstrap.bundle.min.js')}}"></script>

    <!-- The core Firebase JS SDK is always required and must be listed first -->
    <script src="{{asset('https://www.gstatic.com/firebasejs/7.2.0/firebase-app.js')}}"></script>

    <script src="{{asset('https://www.gstatic.com/firebasejs/7.2.0/firebase-messaging.js')}}"></script>

    <script type="text/javascript">@include('vendor.notifications.init_firebase')</script>

    <script type="text/javascript">
//   setTimeout(function(){ 
       
//       $.ajax({
//                 type: "POST",
//                 data:'',
//                 url: '/notifycount.php',
//                 success: function (data) {
// console.log(data)
//                 },
//                 error: function (err) {
//                     console.log(err);
//                 }
//             });
       
       
//   }, 3000);
   
   
//         const messaging = firebase.messaging();
//         navigator.serviceWorker.register("{{url('firebase/sw-js')}}")
//             .then((registration) => {
//                 messaging.useServiceWorker(registration);
//                 messaging.requestPermission()
//                     .then(function() {
//                         console.log('Notification permission granted.');
//                         getRegToken();

//                     })
//                     .catch(function(err) {
//                         console.log('Unable to get permission to notify.', err);
//                     });
//                 messaging.onMessage(function(payload) {
//                     console.log("Message received. ", payload);
//                     notificationTitle = payload.data.title;
//                     notificationOptions = {
//                         body: payload.data.body,
//                         icon: payload.data.icon,
//                         image:  payload.data.image
//                     };
//                     var notification = new Notification(notificationTitle,notificationOptions);
//                 });
//             });

//         function getRegToken(argument) {
//             messaging.getToken().then(function(currentToken) {
//                 if (currentToken) {
//                     saveToken(currentToken);
//                     console.log(currentToken);
//                 } else {
//                     console.log('No Instance ID token available. Request permission to generate one.');
//                 }
//             })
//                 .catch(function(err) {
//                     console.log('An error occurred while retrieving token. ', err);
//                 });
//         }


//         function saveToken(currentToken) {
//             $.ajax({
//                 type: "POST",
//                 data: {'device_token': currentToken, 'api_token': '{!! auth()->user()->api_token !!}'},
//                 url: '{!! url('api/users',['id'=>auth()->id()]) !!}',
//                 success: function (data) {

//                 },
//                 error: function (err) {
//                     console.log(err);
//                 }
//             });
//         }

    </script>

    <!-- Sparkline -->
    {{--<script src="{{asset('plugins/sparkline/jquery.sparkline.min.js')}}"></script>--}}
    {{--<!-- iCheck -->--}}
    {{--<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>--}}
    {{--<!-- select2 -->--}}
    {{--<script src="{{asset('plugins/select2/select2.min.js')}}"></script>--}}
    <!-- jQuery Knob Chart -->
    {{--<script src="{{asset('plugins/knob/jquery.knob.js')}}"></script>--}}
    <!-- daterangepicker -->
    {{--<script src="{{asset('https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.2/moment.min.js')}}"></script>--}}
    {{--<script src="{{asset('plugins/daterangepicker/daterangepicker.js')}}"></script>--}}
    <!-- datepicker -->
    <script src="{{asset('plugins/bootstrap-datepicker/js/bootstrap-datepicker.min.js')}}"></script>
    <!-- Bootstrap WYSIHTML5 -->
    {{--<script src="{{asset('plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js')}}"></script>--}}
    <!-- Slimscroll -->
    <script src="{{asset('plugins/slimScroll/jquery.slimscroll.min.js')}}"></script>
    <script src="{{asset('plugins/bootstrap-sweetalert/sweetalert.min.js')}}"></script>
    <!-- FastClick -->
    {{--<script src="{{asset('plugins/fastclick/fastclick.js')}}"></script>--}}
    @stack('scripts_lib')
    <!-- AdminLTE App -->
    <script src="{{asset('dist/js/adminlte.js')}}"></script>
    {{--<!-- AdminLTE dashboard demo (This is only for demo purposes) -->--}}
    {{--<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>--}}
    <!-- AdminLTE for demo purposes -->
    <script src="{{asset('dist/js/demo.js')}}"></script>

    <script src="{{asset('js/scripts.js')}}"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/howler/2.2.3/howler.min.js" integrity="sha512-6+YN/9o9BWrk6wSfGxQGpt3EUK6XeHi6yeHV+TYD2GR0Sj/cggRpXr1BrAQf0as6XslxomMUxXp2vIl+fv0QRA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script>
    // Store Value Get
     function in_array(needle, haystack){
        var found = 0;
        for (var i=0, len=haystack.length;i<len;i++) {
            if (haystack[i] == needle) return i;
                found++;
        }
        return -1;
     }
        function storeList(countryy, storeIdd){
            var country = countryy;
            var cntry = {country:country};
            var storeId = storeIdd;
            // console.log(storeId);
            // console.log('==============');
            $.ajax({
                  type: "POST",
                  url: "https://ctown.jo/api/storelist.php",
                  data: JSON.stringify(cntry),
                  dataType: 'json',
                  success: function (result1) {
                    //   console.log(result1);
                    var obj1=result1;
                    if(obj1['data'].length != ''){
                        var i;
                        var showData = [];
                        for (i = 0; i < obj1['data'].length; ++i) {
                          if(storeId != ''){
                              if(Array.isArray(storeId)){
                                        if(in_array(obj1['data'][i].group_id, storeId)!= -1){
                                        showData[i] = "<option selected value="+obj1['data'][i].group_id+" id='"+obj1['data'][i].name+"'>"+obj1['data'][i].name+"</option>";
                                      } else {
                                        showData[i] = "<option value="+obj1['data'][i].group_id+" id='"+obj1['data'][i].name+"'>"+obj1['data'][i].name+"</option>";
                                      }
                              } else if(storeId==obj1['data'][i].group_id){
                        	            showData[i] = "<option selected value="+obj1['data'][i].group_id+" id='"+obj1['data'][i].name+"'>"+obj1['data'][i].name+"</option>";
                                     } else {
                                            showData[i] = "<option value="+obj1['data'][i].group_id+" id='"+obj1['data'][i].name+"'>"+obj1['data'][i].name+"</option>";
                                     }
                             } else {
                                    showData[i] = "<option value="+obj1['data'][i].group_id+" id='"+obj1['data'][i].name+"'>"+obj1['data'][i].name+"</option>";
                             }
                        }
                    }
                    if(typeof showData !== 'undefined' && showData.length > 0){
                        	$("#store_id").html(showData);
                        // 	console.log(showData);
                    }
                }
            });
        }
    </script>
    <script>
        // Notification auto refresh using pure js
        window.onload = function() {
            refresh();
        };
        function refresh(){
            setTimeout( function() {  
                var xhr = new XMLHttpRequest();
                xhr.addEventListener("readystatechange", function() {
                  if(this.readyState == 4) {
                    // console.log(this.responseText);
                        data = JSON.parse(this.responseText);
                        // console.log(data);
                        if(data.success == 1){
                            // alert(data.message);
                            // location.reload();
                            document.getElementById("belltxtid").innerHTML = data.notify_count[0]["msg"];
                            var soundAlt = data.sound[0]["sound"];
                            if(soundAlt == 1){
                                try {
                                    //   const ntaudio = new Audio("https://ctown.jo/api/notification-sound1.mp3");
                                    //   ntaudio.play();
                                    
                                    // Howler plugin linked in using cdn
                                    var sound =new Howl({
                                     src: ['https://cp.ctown.jo/notification-sound1.mp3','https://cp.ctown.jo/notification-sound1.wav','https://cp.ctown.jo/notification-sound1.ogg',
                                           'https://cp.ctown.jo/notification-sound1.aiff'],
                                     autoplay: true,
                                    });
                                    sound.play();
                                }
                                catch(err) {
                                  console.log(err);
                                  const ntaudio1 = new Audio("https://ctown.jo/api/notification-sound1.mp3");
                                  ntaudio1.play();
                                }
                            }
                            
                            var xhr1 = new XMLHttpRequest();
                            xhr1.addEventListener("readystatechange", function() {
                              if(this.readyState == 4) {
                                // console.log(this.responseText);
                              }
                            });
                            
                            xhr1.open("GET", "https://ctown.jo/api/orderdeletenotificationreceivedmsg.php?_=" + new Date().getTime());
                            
                            xhr1.send();

                        } else {
                            document.getElementById("belltxtid").innerHTML = data.notify_count[0]["msg"];
                            // console.log('aa');
                            // alert(data.data);
                            // location.reload();
                        }
                  }
                });
                
                xhr.open("GET", "https://ctown.jo/api/ordernotificationreceivedmsg1.php?_=" + new Date().getTime());
                xhr.send();
                
                refresh();
            }, 2000);
        }
        // Notification auto refresh using jquery
        // $(document).ready( function(){
        //     // $('#notification').load('load.php');
        //     refresh();
        // });
        // function refresh(){
        //     setTimeout( function() {  
        //     $.ajax({
        //              url: "https://ctown.jo/api/ordernotificationreceivedmsg1.php",
        //              type: 'GET',
        //              cache: false,
        //              success: function(dataa) {
        //                 //  alert(dataa);
        //                 // console.log(dataa);
        //                 data = JSON.parse(dataa);
        //                 // console.log(data);
        //                 if(data.success == 1){
        //                     // alert(data.message);
        //                     // location.reload();
        //                     $("#belltxtid").html(data.notify_count[0]["msg"]);
        //                     var soundAlt = data.sound[0]["sound"];
        //                     if(soundAlt == 1){
        //                         const ntaudio = new Audio("https://ctown.jo/api/notification-sound1.mp3");
        //                         ntaudio.play();
        //                     }
        //                     $.ajax({
        //                         url: "https://ctown.jo/api/orderdeletenotificationreceivedmsg.php",
        //                              type: 'GET',
        //                              cache: false,
        //                              success: function(dattaa) {
        //                                 //  console.log(dattaa);
        //                              }
        //                     });
        //                 } else {
        //                     $("#belltxtid").html(data.notify_count[0]["msg"]);
        //                     // console.log('aa');
        //                     // alert(data.data);
        //                     // location.reload();
        //                 }
        //              }
        //     });
        //         refresh();
        //     }, 2000);
        // }
    </script>
    @stack('scripts')
</body>
</html>