@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">@if($page=='en') English @elseif($page=='ar') Arabic @endif Marquee Slider<small class="ml-3 mr-3">|</small><small>Marquee Slider</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('marquee_slider.index') !!}">Marquee Slider</a>
          </li>
          <li class="breadcrumb-item active">Marquee Slider List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  @if(count($errors) > 0)
    @foreach($errors->all() as $error)
        <div class="alert alert-danger alert-dismissible" role="alert">{{ $error }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
         </button>
        </div>
    @endforeach
  @endif
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link @if($page=='en') active @endif" href="{!! url()->current() !!}?page=en"><i class="fa fa-list mr-2"></i>English Marquee Slider List</a>
        </li>
        <li class="nav-item">
          <a class="nav-link @if($page=='ar') active @endif" href="{!! url()->current() !!}?page=ar"><i class="fa fa-list mr-2"></i>Arabic Marquee Slider List</a>
        </li>
        <!--@can('promotion_banner.create')-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('promotion_banner.create') !!}"><i class="fa fa-plus mr-2"></i>Add Mobile Promotion Banner</a>-->
        <!--</li>-->
        <!--@endcan-->
      </ul>
    </div>
    <div class="card-body">
        <a href="{!! url()->current() !!}/create?page=@if($page=='en')en @elseif($page=='ar')ar @endif" class="btn btn-primary mb-3 mt-2" style="color: #fff;">Add</a>
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Slider Content</th>
                                  <th>Status</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($marquee_slider)>0)
                    @foreach ($marquee_slider as $key=>$marquee)
                              <tr>
                                  <th scope="row">{{ ++$key }}</th>
                                  <td>{{ $marquee->slider_content }}</td>
                                  <td>
                                    @if($marquee->status=="1")  
                                     Active
                                      @else
                                       InActive 
                                      @endif
                                      </td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="marquee_slider/edit/{{ $marquee->id }}?page={{$page}}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="marquee_slider/destroy/{{ $marquee->id }}?page={{$page}}" class="badge bg-red" onclick="return confirm('Are you sure you want delete it?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$marquee_slider->appends($_GET)->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection