@extends('layouts.app')
@push('css_lib')
  <!-- iCheck -->
  <link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
  <!-- select2 -->
  <link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
  <!-- bootstrap wysihtml5 - text editor -->
  <link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
  {{--dropzone--}}
  <link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',trans('lang.vehicle_table'))
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <!--<div class="card-header">-->
    <!--  <ul class="nav nav-tabs align-items-end card-header-tabs w-100">-->
    <!--    <li class="nav-item">-->
    <!--      <a class="nav-link" href="{!! route('vehicle.index') !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.vehicle_table')}}</a>-->
    <!--    </li>-->
    <!--    <li class="nav-item">-->
    <!--      <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.vehicle_table')}}</a>-->
    <!--    </li>-->
    <!--  </ul>-->
    <!--</div>-->
    <div class="card-body">
      {!! Form::open(['route' => ['mobile_app_version.update', $mobile_app_version[0]->id], 'method' => 'patch']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
      
    <div class="form-group row col-12">
        {!! Form::label('mobile_app_name',"Mobile App Name", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('mobile_app_name', $mobile_app_version[0]->mobile_app_name,  ['class' => 'form-control','placeholder'=>  "Mobile App Name", 'id'=>"mobile_app_name"]) !!}
            <div class="form-text text-muted">
                Mobile App Name
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('android_version',"Android Version", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('android_version', $mobile_app_version[0]->android_version,  ['class' => 'form-control','placeholder'=>  "Android Version", 'id'=>"android_version", 'onkeypress'=>"return isNumberKey(event)"]) !!}
            <div class="form-text text-muted">
                Android Version
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('ios_version',"IOS Version", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('ios_version', $mobile_app_version[0]->ios_version,  ['class' => 'form-control','placeholder'=>  "IOS Version", 'id'=>"ios_version", 'onkeypress'=>"return isNumberKey(event)"]) !!}
            <div class="form-text text-muted">
                IOS Version
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('android_url',"Android URL", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('android_url', $mobile_app_version[0]->android_url,  ['class' => 'form-control','placeholder'=>  "Android URL", 'id'=>"android_url"]) !!}
            <div class="form-text text-muted">
                Android URL
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('ios_url',"IOS URL", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('ios_url', $mobile_app_version[0]->ios_url,  ['class' => 'form-control','placeholder'=>  "IOS URL", 'id'=>"ios_url"]) !!}
            <div class="form-text text-muted">
                IOS URL
            </div>
        </div>
    </div>
     <div class="form-group row col-12">
        {!! Form::label('mobile_app_description', "English Description", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::textarea('mobile_app_description', $mobile_app_version[0]->description,  ['class' => 'form-control','placeholder'=>  "Description"]) !!}
            <div class="form-text text-muted">
                English Description
            </div>
        </div>
    </div>
     <div class="form-group row col-12">
        {!! Form::label('mobile_app_arabic_description', "Arabic Description", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::textarea('mobile_app_arabic_description', $mobile_app_version[0]->arabic_description,  ['class' => 'form-control','placeholder'=>  "Arabic Description"]) !!}
            <div class="form-text text-muted">
                Arabic Description
            </div>
        </div>
    </div>
    <div class="form-group row col-12">
        {!! Form::label('status', "Status", ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
             <select class="form-control" name="status" id="status">
                                        <option value="1" @if($mobile_app_version[0]->status=="1")
                                              selected  @endif>Active</option>  
                                        <option value="0" @if($mobile_app_version[0]->status=="0")
                                              selected  @endif>InActive</option>
                                        </select>
            <div class="form-text text-muted">
                Status
            </div>
        </div>
    </div>
</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}}</button>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
function isNumberKey(evt)
{
          var charCode = (evt.which) ? evt.which : evt.keyCode;
          if (charCode != 46 && charCode > 31 
            && (charCode < 48 || charCode > 57))
             return false;
          return true;
}
</script>
@endpush