@extends('layouts.app')
  @push('css_lib')
<style>
a:not([href]):not([tabindex]) {
color:#007bff !important;
}
</style>
 @endpush
@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Mobile Circle Category<small class="ml-3 mr-3">|</small><small>Mobile Circle Category</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('mobilecirclecategory.index') !!}">Mobile Circle Category</a>
          </li>
          <li class="breadcrumb-item active">Category List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>Mobile Circle Category List</a>
        </li>
        @can('mobilecirclecategory.create')
        <li class="nav-item">
          <a class="nav-link" href="{!! route('mobilecirclecategory.create') !!}"><i class="fa fa-plus mr-2"></i>Add Mobile Circle Category</a>
        </li>
        @endcan
      </ul>
    </div>
       <div class="alert alert-success alertupdate" style="display:none">
    <strong>Success!</strong> Updated Successfully.
  </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Title En</th>
                                   <th>Title Ar</th>
                                   <th>Image En</th>
                                   <th>Image Ar</th>
                                   <th>Category ID(En)</th>
                                   <th>Category ID(Ar)</th>
                                   <th>Position</th>
                                   <th>Status</th>
                                  <th>Added / Modified date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($mobile_category)>0)
                    @foreach ($mobile_category as $key=>$label)
                              <tr>
                                  <th scope="row" id="name_<?php echo $key;?>">{{ $label->id }}</th>
                                  <td>{{ $label->title_en }}</td>
                                   <td>{{ $label->title_ar }}</td>
                                   <td><img src="{{URL::to('/')}}/images/mobile_circle_images/{{ $label->img_en }}" width="100" /></td>
                                   <td><img src="{{URL::to('/')}}/images/mobile_circle_images/{{ $label->img_ar }}" width="100" /></td>
                                   <td>
                                      {{$label->category_id}}
                                  </td>
                                  <td>
                                      {{$label->category_id_ar}}
                                  </td>
                                   <td>
                                      {{$label->position}}
                                  </td>
                                  <td>
                                      @if($label->status=="1")
                                        Active
                                      @else
                                        InActive
                                      @endif
                                  </td>
                                  <td><?php if(empty($label->modified)){?>
                                      <p>{{ $label->created }}</p>
                                  <?php } else {?><p>{{ $label->modified }}</p><?php }?></td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="mobilecirclecategory/edit/{{ $label->id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="mobilecirclecategory/destroy/{{ $label->id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a>
                            </td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$mobile_category->appends($_GET)->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection
@push('scripts_lib')
<script>

 var div =  document.getElementsByClassName("alertupdate");
 var myIntv = setInterval(function() {
   
  
     div[0].style.display = 'none';
}, 5 * 1000);
   function changeorder(id){
       var k = document.getElementsByClassName("alertupdate");
       k[0].style.display = "inline";
       var i= document.getElementById('order_'+id).value;
       var y= document.getElementById('name_'+id).innerHTML;
       
  $.ajax({
     url: "https://cp.ajmanmarkets.ae/mobileorderchange.php",
     type: 'post',
     data: {
      search: y,
      order: i,
      request:2
     },
     success: function( data ) {
   //  window.location.reload(true);

     }
     
    });

  } 
    
</script>
 
@endpush