@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">{{trans('lang.order_plural')}}<small class="ml-3 mr-3">|</small><small><?php echo isset($_GET["type"])?$_GET["type"] : 'Grocery' ?> {{trans('lang.order_desc')}}</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('orders.index') !!}">{{trans('lang.order_plural')}}</a>
          </li>
          <li class="breadcrumb-item active">{{trans('lang.order_table')}}</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->
<?php $actual_link = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]".strtok($_SERVER["REQUEST_URI"],'?');
$type=isset($_GET['type']) ? $_GET['type'] : 'Grocery';
?>
<style>
.dataTables_filter .input-group{
    display:none;
}    
</style> 
<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->full() !!}?type=<?php echo isset($_GET["type"])?$_GET["type"] : 'Grocery' ?>"><i class="fa fa-list mr-2"></i>{{trans('lang.order_table')}}</a>
        </li>
        @can('orders.create')
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('orders.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.order_create')}}</a>-->
        <!--</li>-->
        @endcan
         
        @include('layouts.right_toolbar', compact('dataTable'))
      </ul>
    </div>
    <div class="card-body">
     <div class="float-right" style="float: right !important;">
        <form action="<?php echo $actual_link;?>" method="GET">
           <div class="input-group input-group-md">
                 <input type="hidden" value="<?php echo $type;?>" name="type" class="form-control" placeholder="Order ID" aria-label="Search">
                <input type="search" onchange="return trim(this)" onclick="return trim(this)" style="width: 22rem;" value="<?php echo isset($_GET["order_id"])? $_GET["order_id"] : '' ?>" name="order_id" class="form-control" placeholder="Order ID" aria-label="Search">
            <div class="input-group-append">
                <button class="input-group-text" style="cursor:pointer" type="submit"><i class="fa fa-search"></i></button>
            </div>
          </div>
        </form>
      </div>
      @include('orders.table')
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection