@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Payment Setup<small class="ml-3 mr-3">|</small><small>Payment Setup</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('payment.index') !!}">Payment Setup</a>
          </li>
          <li class="breadcrumb-item active">Payment Setup</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-list mr-2"></i>Payment Setup</a>
        </li>
        @can('payment.create')
        <li class="nav-item">
          <a class="nav-link" href="{!! route('payment.create') !!}"><i class="fa fa-plus mr-2"></i> Add Payment Setup</a>
        </li>
        @endcan
        <!--@can('vehicle.store')-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('vehicle.store') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.vehicle_store')}}</a>-->
        <!--</li>-->
        <!--@endcan-->
      </ul>
    </div>
    <div class="card-body">
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Payment Cut-off Amount</th>
                                  <th>Type</th>
                                  <th>Amount Type</th>
                                  <th>Amount</th>
                                  <th>Created date</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($payment_setup)>0)
                    @foreach ($payment_setup as $key=>$tole)
                              <tr>
                                  <th scope="row">{{ $tole->id }}</th>
                                  <td>{{ $tole->cutoff_amount }}</td>
                                  <td>{{ $tole->type }}</td>
                                 <td>{{ $tole->amount_type }}</td>
                                 <td>{{ $tole->amount }}</td>
                                  <td>{{ $tole->created }}</td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="payment/edit/{{ $tole->id }}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="payment/destroy/{{ $tole->id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a></td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="8">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$payment_setup->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection