@extends('layouts.app')

@section('content')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">@if($page=='en') English @elseif($page=='ar') Arabic @endif Promotion Banner<small class="ml-3 mr-3">|</small><small>Mobile Promotion Banner</small></h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="{{url('/dashboard')}}"><i class="fa fa-dashboard"></i> {{trans('lang.dashboard')}}</a></li>
          <li class="breadcrumb-item"><a href="{!! route('promotion_banner.index') !!}">Promotion Banner</a>
          </li>
          <li class="breadcrumb-item active">Promotion Banner List</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<div class="content">
  <div class="clearfix"></div>
  @include('flash::message')
  @if(count($errors) > 0)
    @foreach($errors->all() as $error)
        <div class="alert alert-danger alert-dismissible" role="alert">{{ $error }}
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
         </button>
        </div>
    @endforeach
  @endif
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link @if($page=='en') active @endif" href="{!! url()->current() !!}?page=en"><i class="fa fa-list mr-2"></i>English Promotion Banner List</a>
        </li>
        <li class="nav-item">
          <a class="nav-link @if($page=='ar') active @endif" href="{!! url()->current() !!}?page=ar"><i class="fa fa-list mr-2"></i>Arabic Promotion Banner List</a>
        </li>
        <!--@can('promotion_banner.create')-->
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('promotion_banner.create') !!}"><i class="fa fa-plus mr-2"></i>Add Mobile Promotion Banner</a>-->
        <!--</li>-->
        <!--@endcan-->
      </ul>
    </div>
    <div class="card-body">
        <form method="post" action="{!! route('promotion_banner.update', $promotion_banner->id) !!}" enctype="multipart/form-data">
            @csrf
            @method('PATCH')
          <div class="form-group">
            <label for="image">Promotion Banner Image</label><br>
            <input type="file" name="image" id="image" />
            <input type="hidden" name="old_image_name" value="{{$promotion_banner->image}}" />
            <a href="{{URL::to('/')}}/images/promotion_banner/{{$promotion_banner->image}}" target="_blank"><img src="{{URL::to('/')}}/images/promotion_banner/{{$promotion_banner->image}}" style="width:35%;" alt="Mobile promotion banner" class="img-thumbnail"></a>
          </div>
          <!--<div class="form-group">-->
          <!--  <label for="page_url">Page Url</label>-->
          <!--  <input type="checkbox" name="others" onclick="enable_text(this.checked)" class="medium" />-->
          <!--  <textarea required readonly="1" class="form-control" name="page_url" id="page_url" rows="2">{{ $promotion_banner->page_url }}</textarea>-->
          <!--</div>-->
          <div class="form-group">
            <label for="status">Status</label>
            <select required name="status" class="form-control" id="status">
              <option value="">Choose status</option>
              <option value="1" <?php if($promotion_banner->status==1){ echo 'selected'; } ?>>Active</option>
              <option value="0" <?php if($promotion_banner->status==0){ echo 'selected'; } ?>>InActive</option>
            </select>
          </div>
          <button type="submit" class="btn btn-primary">Update</button>
        </form>
     </div> 
     <div class="card-body">
         <a href='promotion_banner/create?page={{$page}}' class="btn btn-primary float-right mb-2">Add PDF Image</a>
       <div class="table-responsive">
                      <table class="table" id="example1">
                          <thead>
                              <tr>
                                  <th>ID</th>
                                  <th>Inside PDF Image</th>
                                   <th>PDF URL</th>
                                   <th>Status</th>
                                  <th>Action</th>
                              </tr>
                          </thead>
                          <tbody>
                    @if(count($promotion_table)>0)
                    @foreach ($promotion_table as $key=>$label)
                              <tr>
                                  <th scope="row" id="name_<?php echo $key;?>">{{ $label->id }}</th>
                                  <td><a target="_blank" href="{{URL::to('/')}}/images/promotion_banner/pdf_images/{{$page}}/{{ $label->image }}"><img src="{{URL::to('/')}}/images/promotion_banner/pdf_images/{{$page}}/{{ $label->image }}" width="100" /></a></td>
                                   <td>{{ $label->pdf_page_url }}</td>
                                  <td>
                                      @if($label->status=="1")
                                        <span class="text-success">Active</span>
                                      @else
                                        <span class="text-danger">InActive</span>
                                      @endif
                                  </td>
                                  <td><a data-toggle="tooltip" data-placement="bottom" title="Edit" href="promotion_banner/edit/{{ $label->id }}?page={{$page}}" class="badge bg-light-blue"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a> 
                            <a data-toggle="tooltip" data-placement="bottom" title="Delete" href="promotion_banner/destroy/{{ $label->id }}" class="badge bg-red" onclick="return confirm('Are you sure?')"><i class="fa fa-trash" aria-hidden="true"></i></a>
                            </td>
                              </tr>
                               @endforeach
                    @else
                       <tr>
                            <td colspan="6">No record found!</td>
                       </tr>
                    @endif
                          </tbody>
                      </table>
                       <div class="col-xs-12 pull-right">
                	{{$promotion_table->appends($_GET)->links()}}
                </div>
                  </div>
      <div class="clearfix"></div>
    </div>
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@endsection
<script>
    function enable_text(status) {
        status = (status) ? false : true;
        
        document.getElementById('page_url').readOnly = status;
    }
</script>