@extends('layouts.app')
@push('css_lib')
<!-- iCheck -->
<link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
<!-- select2 -->
<link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
{{--dropzone--}}
<link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
<style>
     #esearchcity{
        left:unset !important;
    }
    .alert.alert-danger{
        color: #a94442!important;
        background: #f2dede!important;
        border: 1px solid !important;
        padding: 10px 23px;
        margin-bottom: 10px;
        text-align: center;
    }
     .alert.alert-success{
        background: #dff2bf!important;
        color: #4f8a10!important;
        border: 1px solid !important;
        padding: 10px 23px;
        margin-bottom: 10px;
        text-align: center;
    }
    @media print
    {
        .print-header-hide { display: none; }
        .main-footer { display: none; }
        .add-msg { display: none !important; }
        .save-button { display: none !important; }
        .logo-print { display: block !important; }
    }
</style>
@endpush
@section('title',trans('lang.locations_table'))
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header print-header-hide">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('return.index') !!}"><i class="fa fa-list mr-2"></i>Returns List</a>
        </li>
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('locations.create') !!}"><i class="fa fa-plus mr-2"></i>Add Help and support</a>-->
        <!--</li>-->
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-pencil mr-2"></i>View/Edit Retrun Product</a>
        </li>
        @if($orderreturnid[0]->pts_status_id == 3)
        <!--<li class="nav-item">-->
        <!--  <a class="nav-link" href="{!! route('return.creditmemo') !!}?return_id={{$return_id}}&customer_id={{$customer_id}}&order_id={{$orderid}}&store_id={{$store_id}}&items_returned={{json_encode($items_returned)}}"><i class="fa fa-pencil mr-2"></i>Create Credit Memo</a>-->
        <!--</li>-->
        @endif
      </ul>
      <button type="button" onclick="window.print()" class="btn btn-primary float-right">Print</button>
    </div>
    <div class="container logo-print" style="display:none;">
        <img src="{{$app_logo}}" class="rounded mx-auto d-block" width="200" alt="Ansar Delivery">
        <h3 class="text-center">Return Product</h3>
    </div>
    <div class="card-body">
        <div class="container">
          <div class="row">
            <div class="col-sm-7">
              <h5>Messages</h5>
              @inject('return','\DB')
              <?php 
                    $message = $return::table('purpletree_rma_orderreturnmessage')->where('pts_orderreturn_id',$returnedit[0]->pts_orderreturn_id)->get();
              ?>
              @if(count($message)>0)
                        @for($i=0;$i<count($message);$i++)
              <div class="card" style="border: 1px solid #ccc;">
                  <div class="card-body">
                    <div class="card-subtitle mb-2 text-muted">
                        <strong style="color:#a2a19f;">
                        <?php 
                            if($message[$i]->pts_message_sender == '0'){ echo "Admin"; } else { echo "Customer"; }
                        ?></strong> 
                        <span style="color:#a2a19f;">Replied at {{$message[$i]->pts_created_at}}</span><br>
                        @if($message[$i]->pts_message_sender != '0')
                        <strong style="color:#41362f;line-height:1.36;">
                            <?php 
                                            $incrementid = $return::table('purpletree_rma_orderreturn')->where('pts_orderreturn_id',$message[$i]->pts_orderreturn_id)->first();
                                             $customername = $return::table('sales_order')->where('increment_id',$incrementid->pts_order_id)->first();
                                             $firstname = isset($customername->customer_firstname)?$customername->customer_firstname:"";
                                             $middlename = isset($customername->customer_middlename)?$customername->customer_middlename:"";
                                             $lastname = isset($customername->customer_lastname)?$customername->customer_lastname:"";
                                             echo ucfirst($firstname . ' ' . $middlename . ' ' . $lastname) . ' - ';
                                             echo isset($customername->customer_email)?$customername->customer_email:"";
                            ?>
                        </strong>
                        @endif
                    </div><br>
                    <div class="card-text"><?php echo $message[$i]->pts_orderreturn_message ?></div>
                  </div>
              </div>
              @endfor
              @else
                       <div>
                            <span>No record found!</span>
                       </div>
              @endif
              <?php if($orderreturnid[0]->pts_status_id != 3){?>
              {!! Form::open(['route' => ['return.update', $orderreturnid[0]->pts_orderreturn_id], 'method' => 'patch']) !!}
                        <div class="row add-msg">
                                <div class="form-group row col-12">
                                  {!! Form::label('message',"Add Message", ['class' => 'col-12 control-label text-left']) !!}
                                  <div class="col-12">
                                {!! Form::textarea('message','',  ['class' => 'form-control','required'=>"true",'placeholder'=>"Add Message"]) !!}
                                    
                                </div>
                                </div>
                                 <div class="form-group col-12">
                                     
                                    <button type="submit" name="addmessage" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> Submit</button>
                                   
                                    <!--<a href="{!! route('return.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>-->
                                </div>
                            </div>
              {!! Form::close() !!}
               <?php }?>
            </div>
            <div class="col-sm-5">
              <h5>Order Return Information</h5>
              <div style="text-align:center" class="alert <?php if($orderreturnid[0]->pts_status_id == 2){ echo 'alert-primary'; } else if($orderreturnid[0]->pts_status_id == 3){ echo 'alert-success'; } else { echo 'alert-danger'; } ?>" role="alert">
                  <?php 
                     $ptsstatus = $return::table('purpletree_rma_status')->where('pts_status_id',$orderreturnid[0]->pts_status_id)->first();
                     echo isset($ptsstatus->pts_name)?$ptsstatus->pts_name:"-";
                  ?>
              </div>
              <div class="card" style="border: 1px solid #ccc;">
                  <div class="card-body">
                    {!! Form::open(['route' => ['return.update', $orderreturnid[0]->pts_orderreturn_id], 'method' => 'patch']) !!}
                        <div class="row">
                            <div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
                                <div class="form-group row col-12" style="margin-bottom: 0px;">
                                    {!! Form::label('created',"Created at:", ['class' => 'col-6 control-label']) !!}
                                    <div class="col-6 text-left">
                                        <span>
                                            <?php 
                                             echo isset($orderreturnid[0]->pts_created_at)?$orderreturnid[0]->pts_created_at:"-"
                                            ?>
                                        </span>
                                    </div>
                                </div>
                                <div class="form-group row col-12" style="margin-bottom: 0px;">
                                    {!! Form::label('orderid',"Order ID:", ['class' => 'col-6 control-label']) !!}
                                    <div class="col-6 text-left">
                                        <span>
                                            <?php 
                                             echo isset($orderreturnid[0]->pts_order_id)? "#".$orderreturnid[0]->pts_order_id:"-";
                                            ?>
                                        </span>
                                    </div>
                                </div>
                                <div class="form-group row col-12" style="margin-bottom: 0px;">
                                    {!! Form::label('orderstatus',"Order Status:", ['class' => 'col-6 control-label']) !!}
                                    <div class="col-6 text-left">
                                        <span>
                                        <?php 
                                             $orderstatus = $return::table('sales_order')->where('increment_id',$orderreturnid[0]->pts_order_id)->first();
                                             echo isset($orderstatus->status)?$orderstatus->status:"-"
                                        ?>
                                        </span>
                                    </div>
                                </div>
                                <div class="form-group row col-12" style="margin-bottom: 0px;">
                                    {!! Form::label('requeststatus',"Request Status:", ['class' => 'col-6 control-label']) !!}
                                    <div class="col-6 text-left mb-1">
                                        <select class="form-control" name="orderreturnstatus" id="orderreturnstatus">
                                        <?php 
                                            $requeststatus = $return::table('purpletree_rma_status')->get();
                                            foreach($requeststatus as $requeststatus1){
                                        ?>
                                        <option value="{{$requeststatus1->pts_status_id}}" @if($requeststatus1->pts_status_id==$orderreturnid[0]->pts_status_id)
                                              selected  @endif>{{$requeststatus1->pts_name}}</option>  
                                        <?php } ?>
                                        </select>
                                    </div>
                                </div>
                                 <div class="form-group row col-12" style="margin-bottom: 0px;">
                                    {!! Form::label('resolution',"Resolution:", ['class' => 'col-6 control-label']) !!}
                                    <div class="col-6 text-left mb-1">
                                        <select class="form-control" name="resolution" id="resolution">
                                        <?php 
                                            $resoultion = $return::table('purpletree_rma_resolution')->get();
                                            foreach($resoultion as $resoultion1){
                                        ?>
                                        <option value="{{$resoultion1->pts_resolution_id}}" @if($resoultion1->pts_resolution_id==$orderreturnid[0]->pts_resolution_id)
                                              selected  @endif>{{$resoultion1->pts_name}}</option>  
                                        <?php } ?>
                                        </select>
                                    </div>
                                </div>
                                 <div class="form-group row col-12" style="margin-bottom: 0px;">
                                    {!! Form::label('reason',"Reason:", ['class' => 'col-6 control-label']) !!}
                                    <div class="col-6 text-left mb-1">
                                        <select class="form-control" name="reason" id="reason">
                                         <?php 
                                            $reason = $return::table('purpletree_rma_reason')->get();
                                            foreach($reason as $reason1){
                                        ?>
                                        <option value="{{$reason1->pts_reason_id}}" @if($reason1->pts_reason_id==$orderreturnid[0]->pts_reason_id)
                                              selected  @endif>{{$reason1->pts_name}}</option>  
                                        <?php } ?>
                                        </select>
                                    </div>
                                </div>
                                 <div class="form-group row col-12" style="margin-bottom: 0px;">
                                    {!! Form::label('packagecondition',"Package Condition:", ['class' => 'col-6 control-label']) !!}
                                    <div class="col-6 text-left mb-1">
                                        <select class="form-control" name="packagecondition" id="packagecondition">
                                        <?php 
                                            $packagecondition = $return::table('purpletree_rma_packagecondition')->get();
                                            foreach($packagecondition as $packagecondition){
                                        ?>
                                        <option value="{{$packagecondition->pts_packagecondition_id}}" @if($packagecondition->pts_packagecondition_id==$orderreturnid[0]->pts_packagecondition_id)
                                              selected  @endif>{{$packagecondition->pts_name}}</option>  
                                        <?php } ?>
                                        </select>
                                    </div>
                                </div>
                                <!-- Submit Field -->
                                <div class="form-group col-12">
                                    <?php if($orderreturnid[0]->pts_status_id != 3){?>
                                    <button type="submit" name="orderreturninformation" class="save-button btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}}</button>
                                    <?php }?>
                                    <!--<a href="{!! route('return.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>-->
                                </div>
                            </div>
                        </div>
                    {!! Form::close() !!}
                  </div>
              </div>
            </div>
          </div>
        </div>
         <?php if($orderreturnid[0]->pts_status_id==3 && $orderreturnid[0]->pts_refund_status==0 && ($orderreturnid[0]->pts_resolution_id==1 || $orderreturnid[0]->pts_resolution_id==3)){?>
            {!! Form::open(['route' => ['return.returnupdate', $orderreturnid[0]->pts_orderreturn_id], 'method' => 'patch']) !!}
                <div class="form-group row">
                     <label for="refundstorcredit" class="col-sm-2 col-form-label">Refund Type</label>
                    <div class="col-sm-3">
                      <select class="form-control" name="refund_type">
                      <option value="creditmemo">Credit Memo</option> 
                      <option value="bank">Bank Refund</option>
                      </select>
                    </div>
                    <label for="refundstorcredit" class="col-sm-2 col-form-label">Refund Amount</label>
                    <div class="col-sm-2">
                      <input type="text" name="refund_store_credit" class="form-control" id="refundstorcredit" value="{{$amount}}" placeholder="Enter Refund Amount">
                    </div>
                    <input type="hidden" name="customer_id" value="{{$customer_id}}" />
                    <input type="hidden" name="order_id" value="{{$orderid}}" />
                    <input type="hidden" name="increment_id" value="<?php echo $orderreturnid[0]->pts_order_id;?>" />
                    <div class="col-sm-3">
                       <button type="submit" onclick="return confirm('Are you sure you want to refund this amount?');" class="btn btn-primary">Refund</button>
                    </div>
                 </div>
            </form>
            <?php }?>
        <div class="mt-4 mb-4 table-responsive">
            <h3>Items Returned</h3>
            <table class="table table-striped">
              <thead>
                <tr>
                  <th scope="col">#</th>
                  <th scope="col">Product</th>
                  <th scope="col">Price</th>
                  <th scope="col">Qty</th>
                  <th scope="col">Subtotal</th>
                  <th scope="col">Discount Price</th>
                  <th scope="col">Total</th>
                </tr>
              </thead>
              <tbody>
              @foreach($items_returned as $index=>$items_returned1)
                <tr>
                  <th scope="row">{{$index+1}}</th>
                  <td>{{$items_returned1->name}}<br><span><b>Sku:</b> {{$items_returned1->sku}}</span></td>
                  <td>{{$items_returned1->price}}</td>
                  <td>{{$items_returned1->qty_ordered}}</td>
                  <td>QAR {{$items_returned1->row_total}}</td>
                  <td>QAR {{$items_returned1->discount_amount}}</td>
                  <td>QAR {{number_format($items_returned1->row_total-$items_returned1->discount_amount, 4, '.', '')}}</td>
                </tr>
             @endforeach
              </tbody>
            </table>
        </div>
        <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->

<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
</script>
@endpush