@extends('layouts.app')
@push('css_lib')
<!-- iCheck -->
<link rel="stylesheet" href="{{asset('plugins/iCheck/flat/blue.css')}}">
<!-- select2 -->
<link rel="stylesheet" href="{{asset('plugins/select2/select2.min.css')}}">
<!-- bootstrap wysihtml5 - text editor -->
<link rel="stylesheet" href="{{asset('plugins/summernote/summernote-bs4.css')}}">
{{--dropzone--}}
<link rel="stylesheet" href="{{asset('plugins/dropzone/bootstrap.min.css')}}">
@endpush
@section('title',trans('lang.vehicle_table'))
@section('content')
  @include('flash::message')
  @include('adminlte-templates::common.errors')
  <div class="clearfix"></div>
  <div class="card">
    <div class="card-header">
      <ul class="nav nav-tabs align-items-end card-header-tabs w-100">
        <li class="nav-item">
          <a class="nav-link" href="{!! route('vehicle.index') !!}"><i class="fa fa-list mr-2"></i>{{trans('lang.vehicle_table')}}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{!! route('vehicle.create') !!}"><i class="fa fa-plus mr-2"></i>{{trans('lang.vehicle_create')}}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link active" href="{!! url()->current() !!}"><i class="fa fa-pencil mr-2"></i>{{trans('lang.vehicle_edit')}}</a>
        </li>
      </ul>
    </div>
    <div class="card-body">
      {!! Form::open(['route' => ['vehicle.update', $editvehicle[0]->id], 'method' => 'patch']) !!}
      <div class="row">
<div style="flex: 100%;max-width: 100%;padding: 0 4px;" class="row">
    <!-- Name Field -->
     <div class="form-group row col-6">
          {!! Form::label('country', 'Country Name', ['class' => 'col-5 control-label text-right']) !!}
          <div class="col-7">
          <select class="form-control" required="true" onchange="storeList(this.value , '')" name="country_code" id="country">
            @if(count($country)>0)
            @foreach ($country as $key=>$conty)
            <option value="{{$conty['country_code']}}" @if($editvehicle[0]->country_code==$conty['country_code'])
                    selected  @endif>{{$conty['country_name']}}</option>  
            @endforeach
            @endif
                </select>  
            </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('store_id', trans("lang.store_name"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            <select class="form-control" required="true" multiple name="store_id[]" id="store_id">
                <option value="">Please Select Country</option>
            </select>  
        </div>
    </div>
    <div class="form-group row col-6">
        {!! Form::label('vehicle_name', trans("lang.vehicle_name"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('vehicle_name',$editvehicle[0]->vehicle_name,  ['class' => 'form-control','placeholder'=>  trans("lang.vehicle_name_placeholder"),"required"=>"true"]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.vehicle_name_help") }}
            </div>
        </div>
    </div>

    <!-- Email Field -->
    <div class="form-group row col-6">
        {!! Form::label('vehicle_no', trans("lang.vehicle_no"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('vehicle_no', $editvehicle[0]->vehicle_no,  ['class' => 'form-control','placeholder'=>  trans("lang.vehicle_no_placeholder"),"required"=>"true"]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.vehicle_no_help") }}
            </div>
        </div>
    </div>
    
     <div class="form-group row col-6">
        {!! Form::label('vehicle_model', trans("lang.vehicle_model"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('vehicle_model',  $editvehicle[0]->vehicle_model,  ['class' => 'form-control','placeholder'=>  trans("lang.vehicle_model_placeholder")]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.vehicle_model_help") }}
            </div>
        </div>
    </div>
    
     <div class="form-group row col-6">
        {!! Form::label('vehicle_chasis_no', trans("lang.vehicle_chasis_no"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('vehicle_chasis_no',  $editvehicle[0]->vehicle_chasis_no,  ['class' => 'form-control','placeholder'=>  trans("lang.vehicle_chasis_no_placeholder")]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.vehicle_chasis_no_help") }}
            </div>
        </div>
    </div>
    
     <div class="form-group row col-6">
        {!! Form::label('vehicle_engine_no', trans("lang.vehicle_engine_no"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::text('vehicle_engine_no',  $editvehicle[0]->vehicle_engine_no,  ['class' => 'form-control','placeholder'=>  trans("lang.vehicle_engine_no_placeholder")]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.vehicle_engine_no_help") }}
            </div>
        </div>
    </div>
    
     <div class="form-group row col-6">
        {!! Form::label('vehicle_description', trans("lang.vehicle_description"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
            {!! Form::textarea('vehicle_description',  $editvehicle[0]->vehicle_description,  ['class' => 'form-control','placeholder'=>  trans("lang.vehicle_description_placeholder")]) !!}
            <div class="form-text text-muted">
                {{ trans("lang.vehicle_description_help") }}
            </div>
        </div>
</div>

 <div class="form-group row col-6">
        {!! Form::label('status', trans("lang.status"), ['class' => 'col-5 control-label text-right']) !!}
        <div class="col-7">
             <select class="form-control" name="status" id="status">
                                        <option value="1" @if($editvehicle[0]->status=="1")
                                              selected  @endif>Active</option>  
                                        <option value="0" @if($editvehicle[0]->status=="0")
                                              selected  @endif>InActive</option> 
                                        </select>
            <div class="form-text text-muted">
                {{ trans("lang.status") }}
            </div>
        </div>
    </div>

</div>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-{{setting('theme_color')}}"><i class="fa fa-save"></i> {{trans('lang.save')}} {{trans('lang.vehicle')}}</button>
    <a href="{!! route('vehicle.index') !!}" class="btn btn-default"><i class="fa fa-undo"></i> {{trans('lang.cancel')}}</a>
</div>

      </div>
      {!! Form::close() !!}
      <div class="clearfix"></div>
    </div>
  </div>
</div>
@include('layouts.media_modal',['collection'=>null])
@endsection
@push('scripts_lib')
<!-- iCheck -->
<script src="{{asset('plugins/iCheck/icheck.min.js')}}"></script>
<!-- select2 -->
<script src="{{asset('plugins/select2/select2.min.js')}}"></script>
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
<script src="{{asset('plugins/summernote/summernote-bs4.min.js')}}"></script>
{{--dropzone--}}
<script src="{{asset('plugins/dropzone/dropzone.js')}}"></script>
<script type="text/javascript">
    Dropzone.autoDiscover = false;
    var dropzoneFields = [];
// Store value get
$(document).ready(function(){ 
    var country = $('#country').val();
    var storeId = "<?php echo isset($editvehicle[0]->store_id)?$editvehicle[0]->store_id:''; ?>";
    var arrStoreId = storeId.split(', ');
    storeList(country, arrStoreId);
});
</script>
@endpush