<?php if($customFields): ?>
    <h5 class="col-12 pb-4"><?php echo trans('lang.main_fields'); ?></h5>
<?php endif; ?>
<div style="flex: 50%;max-width: 50%;padding: 0 4px;" class="column">
    <!-- Price Field -->
    <div class="form-group row ">
        <?php echo Form::label('price', trans("lang.payment_price"), ['class' => 'col-3 control-label text-right']); ?>

        <div class="col-9">
            <?php echo Form::number('price', null,  ['class' => 'form-control','placeholder'=>  trans("lang.payment_price_placeholder")]); ?>

            <div class="form-text text-muted">
                <?php echo e(trans("lang.payment_price_help")); ?>

            </div>
        </div>
    </div>
    <!-- User Id Field -->
    <div class="form-group row ">
        <?php echo Form::label('user_id', trans("lang.favorite_user_id"),['class' => 'col-3 control-label text-right']); ?>

        <div class="col-9">
            <?php echo Form::select('user_id', $user, null, ['class' => 'select2 form-control']); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.favorite_user_id_help")); ?></div>
        </div>
    </div>

    <!-- Method Field -->
    <div class="form-group row ">
        <?php echo Form::label('method', trans("lang.payment_method"), ['class' => 'col-3 control-label text-right']); ?>

        <div class="col-9">
            <?php echo Form::text('method', null,  ['class' => 'form-control','placeholder'=>  trans("lang.payment_method_placeholder")]); ?>

            <div class="form-text text-muted">
                <?php echo e(trans("lang.payment_method_help")); ?>

            </div>
        </div>
    </div>
    
</div>
<div style="flex: 50%;max-width: 50%;padding: 0 4px;" class="column">

    <!-- Description Field -->
    <div class="form-group row ">
        <?php echo Form::label('description', trans("lang.payment_description"), ['class' => 'col-3 control-label text-right']); ?>

        <div class="col-9">
            <?php echo Form::text('description', null,  ['class' => 'form-control','placeholder'=>  trans("lang.payment_description_placeholder")]); ?>

            <div class="form-text text-muted">
                <?php echo e(trans("lang.payment_description_help")); ?>

            </div>
        </div>
    </div>

    <!-- Status Field -->
    <div class="form-group row ">
        <?php echo Form::label('status', trans("lang.payment_status"),['class' => 'col-3 control-label text-right']); ?>

        <div class="col-9">
            <?php echo Form::select('status',
            [
            'Waiting for Client' => 'Waiting for Client',
            'Not Paid' => trans('lang.order_not_paid'),
            'Paid' => trans('lang.order_paid'),
            ]
            , $payment->status, ['class' => 'select2 form-control']); ?>

            <div class="form-text text-muted"><?php echo e(trans("lang.payment_status_help")); ?></div>
        </div>
    </div>

</div>
<?php if($customFields): ?>
    <div class="clearfix"></div>
    <div class="col-12 custom-field-container">
        <h5 class="col-12 pb-4"><?php echo trans('lang.custom_field_plural'); ?></h5>
        <?php echo $customFields; ?>

    </div>
<?php endif; ?>
<!-- Submit Field -->
<div class="form-group col-12 text-right">
    <button type="submit" class="btn btn-<?php echo e(setting('theme_color')); ?>"><i class="fa fa-save"></i> <?php echo e(trans('lang.save')); ?> <?php echo e(trans('lang.payment')); ?></button>
    <a href="<?php echo route('payments.index'); ?>" class="btn btn-default"><i class="fa fa-undo"></i> <?php echo e(trans('lang.cancel')); ?></a>
</div>
<?php /**PATH /home/ahmarket/cp.ahmarket.com/deliveryapp/resources/views/payments/fields.blade.php ENDPATH**/ ?>